Index: code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.cc	(revision 11990)
@@ -105,6 +105,6 @@
       {
         // manually add server to list of peers
-        /*incomingEvent inEvent = */Connection::preprocessConnectEvent(event);
-//         addPeer(inEvent.peerID);
+        Connection::preprocessConnectEvent(event);
+
         // start communication thread
         this->established_=true;
@@ -155,5 +155,4 @@
     assert( this->server_ );
     assert( packet );
-//     return Connection::addPacket( packet, NETWORK_PEER_ID_SERVER, channelID );
     // HACK: actually there should be a way to do this using addPacket and the correct peerID
     return Connection::broadcastPacket(packet, channelID);
@@ -168,5 +167,5 @@
     this->established_=false;
     orxout(internal_error, context::network) << "Received disconnect Packet from Server!" << endl;
-        // server closed the connection
+    // server closed the connection
     this->stopCommunicationThread();
     this->connectionClosed();
Index: code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.h
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.h	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/ClientConnection.h	(revision 11990)
@@ -44,7 +44,4 @@
     void setPort( unsigned int port );
 
-//     ENetEvent *getEvent();
-    // check wheter the packet queue is empty
-//     bool queueEmpty();
     // create a new listener thread
     virtual bool establishConnection();
Index: code/branches/Masterserver_FS18/src/libraries/network/Connection.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/Connection.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/Connection.cc	(revision 11990)
@@ -72,7 +72,4 @@
     delete this->incomingEventsMutex_;
     delete this->outgoingEventsMutex_;
-
-    // TODO: Why is enet_deinitialize() not called here?
-    // Would make sense, since its counterpart, enet_initialize(), is called in the constructor.
   }
 
@@ -172,14 +169,11 @@
       
       // Sleep for 1ms
-      // TODO: Why?
       msleep(1);
       
       // Send all waiting outgoing packets
-      // TODO: Why do we need a mutex to read a single variable?
       this->outgoingEventsMutex_->lock();
       uint32_t outgoingEventsCount = this->outgoingEvents_.size();
       this->outgoingEventsMutex_->unlock();
 
-      // TODO: Not convinced about how mutexes are used here, seems kinda pointless
       while(outgoingEventsCount > 0)
       {
@@ -406,4 +400,3 @@
   }
 
-
 }
Index: code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.cc	(revision 11990)
@@ -62,9 +62,7 @@
   for (const auto& mapEntry : FunctionCallManager::sPeerMap_ )
   {
-    // TODO: This seems rather pointless, as it wouldn't be called anyways if the map was empty.
     assert(!FunctionCallManager::sPeerMap_.empty());
     mapEntry.second->send(host);
   }
-  // TODO: Why is the map cleared here?
   FunctionCallManager::sPeerMap_.clear();
 }
Index: code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.h
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.h	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/FunctionCallManager.h	(revision 11990)
@@ -56,7 +56,4 @@
   static std::map<uint32_t, packet::FunctionCalls*>                           sPeerMap_;
 
-  // TODO: What's up with the pair within the pair?
-  // Vector of pairs
-  // The pair consists of the FunctionCall and another pair, which...
   static std::vector<std::pair<FunctionCall,std::pair<uint32_t, uint32_t>>> sIncomingFunctionCallBuffer_;
 
Index: code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.cc	(revision 11990)
@@ -86,5 +86,5 @@
   bool GamestateManager::update()
   {
-    return getSnapshot();
+    return this->getSnapshot();
   }
 
@@ -119,6 +119,6 @@
     for(const auto& gsPair : this->gamestateQueue)
     {
-      OrxVerify(processGamestate(gsPair.second), "ERROR: could not process Gamestate");
-      sendAck(gsPair.second->getID(), gsPair.second->getPeerID());
+      OrxVerify(this->processGamestate(gsPair.second), "ERROR: could not process Gamestate");
+      this->sendAck(gsPair.second->getID(), gsPair.second->getPeerID());
       delete gsPair.second;
     }
@@ -214,5 +214,4 @@
 
     std::vector<packet::Gamestate*> peerGamestates;
-    // TODO: mapEntry is an incredibly bad name
     for(const auto& mapEntry : this->peerMap_)
     {
@@ -256,5 +255,4 @@
 
     // Create a copy of the gamestate
-    // TODO: Does this actually create a copy of the gamestate?
     packet::Gamestate *gs = new packet::Gamestate(*gamestate); //this is neccessary because the gamestate are being kept (to diff them later on) for each client seperately
     this->peerMap_[peerID].gamestates[gamestate->getID()] = gs;
Index: code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.h
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.h	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/GamestateManager.h	(revision 11990)
@@ -111,5 +111,4 @@
     bool processGamestate(packet::Gamestate *gs);
 
-    // TODO: What is the purpose of the gamestateQueue?
     std::map<unsigned int, packet::Gamestate*> gamestateQueue;
 
Index: code/branches/Masterserver_FS18/src/libraries/network/Host.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/Host.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/Host.cc	(revision 11990)
@@ -54,5 +54,4 @@
     Host::instances_s.push_back(this);
 
-    // TODO: What does this do?
     ModifyConsoleCommand(__CC_printRTT_group, __CC_printRTT_name).setObject(this);
 
Index: code/branches/Masterserver_FS18/src/libraries/network/LANDiscoverable.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/LANDiscoverable.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/LANDiscoverable.cc	(revision 11990)
@@ -121,6 +121,4 @@
             info.setClientNumber(this->clientNumber);
             info.send(event.peer);
-//             ENetPacket* packet = enet_packet_create( LAN_DISCOVERY_ACK, strlen(LAN_DISCOVERY_ACK)+1, ENET_PACKET_FLAG_RELIABLE );
-//             enet_peer_send(event.peer, 0, packet );
             enet_host_flush(this->host_);
           }
Index: code/branches/Masterserver_FS18/src/libraries/network/LANDiscoverable.h
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/LANDiscoverable.h	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/LANDiscoverable.h	(revision 11990)
@@ -43,6 +43,5 @@
       void setActivity( bool bActive );
       void update();
-      void updateClientNumber(int clientNumber) {this->clientNumber = clientNumber;}
-;
+      void updateClientNumber(int clientNumber) { this->clientNumber = clientNumber; }
       /** Function used for the configuration file parameter update */
       void setConfigValues();
Index: code/branches/Masterserver_FS18/src/libraries/network/LANDiscovery.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/LANDiscovery.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/LANDiscovery.cc	(revision 11990)
@@ -61,5 +61,4 @@
     address.port = LAN_DISCOVERY_PORT;
 
-    /* TODO: check for availability of each protocol */
     /* IPv4 */
     address.host = ENET_HOST_BROADCAST;
@@ -102,6 +101,4 @@
               this->servers_.push_back(info);
           }
-//           enet_address_get_host_ip(&event.peer->address, buffer, buflen );
-//           serverIPs.push_back(std::string(buffer));
           break;
         default:
Index: code/branches/Masterserver_FS18/src/libraries/network/MasterServer.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/MasterServer.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/MasterServer.cc	(revision 11990)
@@ -40,5 +40,4 @@
   SetConsoleCommand( "ms-listservers", &MasterServer::listServers );
   SetConsoleCommand( "ms-delserver", &MasterServer::delServer );
-  //SetConsoleCommand( "ms-serverinfo", &MasterServer::serverInfo );
 
   /* forward declaration so the linker doesn't complain */
Index: code/branches/Masterserver_FS18/src/libraries/network/MasterServerComm.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/MasterServerComm.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/MasterServerComm.cc	(revision 11990)
@@ -38,5 +38,4 @@
      * the initialize method to facilitate debugging
      */
-    /* register object in orxonox */
   } 
 
@@ -48,8 +47,4 @@
       return 1;
     }
-
-    /* initialize the event holder */
-//     this->event = (ENetEvent *)calloc( sizeof(ENetEvent), 1 );
-    
 
     /* initiate the client */
@@ -226,8 +221,4 @@
     /* One could just use enet_host_service() instead. */
     enet_host_flush( this->client );
-   
-    /* free the packet */
-    // PLEASE: never do this, because enet will free the packet once it's delivered. this will cause double frees
-//     enet_packet_destroy( packet );
 
     /* all done. */
@@ -248,6 +239,4 @@
     /* One could just use enet_host_service() instead. */
     enet_host_flush( this->client );
-    // PLEASE: never do this, because enet will free the packet once it's delivered. this will cause double frees
-//     enet_packet_destroy( packet );
 
     /* all done. */
Index: code/branches/Masterserver_FS18/src/libraries/network/Server.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/Server.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/Server.cc	(revision 11990)
@@ -167,5 +167,5 @@
       {
         timeSinceLastUpdate_ -= static_cast<unsigned int>(timeSinceLastUpdate_ / NETWORK_PERIOD) * NETWORK_PERIOD;
-        updateGamestate();
+        this->updateGamestate();
       }
     }
@@ -178,27 +178,9 @@
 
   /**
-   * Return ping time to client in milliseconds.
-   */
-  unsigned int Server::getRTT(unsigned int clientID)
+   * Print ping time to client in milliseconds.
+   */
+  void Server::printRTT()
   {
     // TODO: Implement
-    return 0;
-  }
-
-  /**
-   * Print ping time to client in milliseconds.
-   */
-  void Server::printRTT()
-  {
-    // TODO: Implement
-  }
-
-  /**
-   * Return packet loss ratio to client (scales from 0 to 1).
-   */
-  float Server::getPacketLoss(unsigned int clientID)
-  {
-    // TODO: Implement
-    return 0.;
   }
 
@@ -214,6 +196,6 @@
     }
     GamestateManager::update();
-    sendGameStates();
-    sendObjectDeletes();
+    this->sendGameStates();
+    this->sendObjectDeletes();
   }
 
@@ -255,7 +237,4 @@
       orxout(internal_warning, context::network) << "Server: could not broadcast deleteObjects packet" << endl;
     }
-
-    // TODO: Possible memory leak?
-    // del is allocated but only deleted if fetchIDs() returns false
 
     return true;
@@ -277,5 +256,5 @@
     orxout(internal_info, context::network) << "Server: added client id: " << peerID << endl;
 
-    createClient(peerID);
+    this->createClient(peerID);
   }
 
@@ -297,7 +276,4 @@
       }
     }
-
-    // TODO: What happens if no peer with this ID is found?
-    // Should probably at least log
 
     WANDiscoverable::updateClientNumber(this->clientIDs_.size());
@@ -339,5 +315,5 @@
 
     // synchronise class ids
-    syncClassid(clientID);
+    this->syncClassid(clientID);
 
     // now synchronise functionIDs
@@ -346,5 +322,4 @@
     bool b = fIDs->send(static_cast<Host*>(this));
     assert(b);
-    // TODO: assert probably isn't the way to go here, as a packet which fails to send will crash the game...
 
     GamestateManager::setSynched(clientID);
@@ -356,5 +331,4 @@
     b = w->send(static_cast<Host*>(this));
     assert(b);
-    // TODO: assert probably isn't the way to go here, as a packet which fails to send will crash the game...
 
     (void)b; // avoid compiler warning
@@ -380,5 +354,5 @@
   {
     // check if the target exists. just ignore the message otherwise
-    if (!this->isValidTarget(targetID)) // TODO: remove this if an invalid clientIDs don't trigger assertions anymore
+    if (!this->isValidTarget(targetID))
     {
       return;
@@ -434,5 +408,5 @@
     packet::ClassID *classid = new packet::ClassID();
     classid->setPeerID(clientID);
-    // TODO: Better to do this with a for loop
+
     int failures = 0;
     while(!classid->send(static_cast<Host*>(this)) && failures < 10)\
@@ -441,5 +415,4 @@
     }
     assert(failures<10);
-    // TODO: assert probably isn't the way to go here, as 10 failed packets will crash the game...
     orxout(verbose, context::network) << "syncClassid:\tall synchClassID packets have been sent" << endl;
   }
Index: code/branches/Masterserver_FS18/src/libraries/network/Server.h
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/Server.h	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/Server.h	(revision 11990)
@@ -38,5 +38,4 @@
 #include "core/CorePrereqs.h"
 #include "Host.h"
-// #include "GamestateManager.h"
 #include "ServerConnection.h"
 #include "LANDiscoverable.h"
@@ -62,17 +61,15 @@
     void close();
     virtual void queuePacket(ENetPacket *packet, int clientID, uint8_t channelID) override;
-    virtual bool sendPacket( packet::Packet* packet ) override{ return packet->send( static_cast<Host*>(this) ); }
+    virtual bool sendPacket( packet::Packet* packet ) override { return packet->send( static_cast<Host*>(this) ); }
     void update(const Clock& time);
-    unsigned int getRTT(unsigned int clientID);
     virtual void printRTT() override;
-    float getPacketLoss(unsigned int clientID);
-    int getClientCount() { return this->clientIDs_.size();}
-    std::string getServerName() { return this->serverName_;}
+    int getClientCount() { return this->clientIDs_.size(); }
+    std::string getServerName() { return this->serverName_; }
 
   protected:
     void updateGamestate();
   private:
-    virtual bool isServer_() override{return true;}
-    unsigned int playerID(){return 0;}
+    virtual bool isServer_() override { return true; }
+    unsigned int playerID() { return 0; }
 
     virtual void addPeer(uint32_t peerID) override;
Index: code/branches/Masterserver_FS18/src/libraries/network/ServerConnection.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/ServerConnection.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/ServerConnection.cc	(revision 11990)
@@ -39,10 +39,4 @@
 namespace orxonox
 {
-
-  // TODO: Calls to the Connection superclass are done as follows:
-  // Connection::startCommunicationThread()
-  // However, these methods are not overridden.
-  // Why can't we just do this->startCommunicationThread()?
-
   /**
    * Constructor
@@ -131,5 +125,5 @@
   {
     this->bListening_ = false;
-    disconnectClients();
+    this->disconnectClients();
     Connection::stopCommunicationThread();
     enet_host_destroy(this->host_);
@@ -142,5 +136,4 @@
    * @param clientID The ID of the recipient
    * @param channelID The channel ID
-   * TODO: Not sure yet how this actually works
    */
   void ServerConnection::addPacket(ENetPacket *packet, unsigned int clientID, uint8_t channelID)
@@ -148,5 +141,5 @@
     if (clientID == NETWORK_PEER_ID_BROADCAST)
     {
-      broadcastPacket(packet, channelID);
+      this->broadcastPacket(packet, channelID);
     }
     else
Index: code/branches/Masterserver_FS18/src/libraries/network/packet/ClassID.cc
===================================================================
--- code/branches/Masterserver_FS18/src/libraries/network/packet/ClassID.cc	(revision 11983)
+++ code/branches/Masterserver_FS18/src/libraries/network/packet/ClassID.cc	(revision 11990)
@@ -118,6 +118,4 @@
 }
 
-// TODO: This parses the packet and calls ClassByString()
-// However, the resulting Identifier is discarded...
 bool ClassID::process(orxonox::Host* host) {
   int nrOfClasses;