Index: code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/Pacman.cc	(revision 11992)
@@ -247,4 +247,8 @@
     bool Pacman::isdead(){
         return death;
+    }
+    //Getter
+    int Pacman::getTotalpoints(){
+        return totallevelpoint;
     }
 
@@ -272,7 +276,4 @@
         death = true;
 
-        //if (Highscore::exists())
-          //  Highscore::getInstance().storeScore("3DPacman", this->getPoints(), this->playerInfo_);
-
         deathtime = deathtime-dt;
 
Index: code/branches/3DPacman_FS18/src/modules/pacman/Pacman.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/Pacman.h	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/Pacman.h	(revision 11992)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Marc Dreher
  *   Co-authors:
  *      ...
@@ -40,6 +40,4 @@
 #include "PacmanPointSphere.h"
 #include "PacmanPointAfraid.h"
-#include "Highscore.h"
-//#include "PlayerInfo.h"
 
 
@@ -73,4 +71,15 @@
             virtual void tick(float dt) override;
 
+            PacmanGelb* getPlayer();
+            int getPoints();
+            bool getAfraid();
+            int getTimer();
+            int getLives();
+            int getLevel();
+            int getTotalpoints();
+            bool isdead();
+            
+       private:
+
             void levelUp();
             bool collis(Vector3 one, Vector3 other);
@@ -78,70 +87,23 @@
             void posreset();
             void takePoint(PacmanPointSphere* taken);
-            PacmanGelb* getPlayer();
-            int getPoints();
             void setAfraid();
             void setNormal();
-            bool isdead();
             void dead(float dt);
-            bool getAfraid();
-            int getTimer();
-            int getLives();
-            int getLevel();
 
-
-            bool bEndGame;
-            bool bShowLevel;
-            int lives;
-            int multiplier;
-            float counter;
-            int pattern;
-            float lastPosition;
-
+            PacmanGelb* player;
             Vector3 currentPosition;
-            PacmanGelb* player;
+            Vector3 startposplayer = Vector3(0,10,150);
             bool bcolli = false;
-            float timer = 0;
-            Vector3 startposplayer = Vector3(0,10,150);
+           
             int totallevelpoint;
-            //bool firstGame;
+            
             bool afraid = false;
             bool death = false;
             float deathtime = 0;
-            
-       private:
+            float timer = 0;
 
-
-            Timer endGameTimer;
             int level;
             int point;
-            bool b_combo;
-
-            Timer enemySpawnTimer;
-            Timer comboTimer;
-            Timer showLevelTimer;
-
-/*
-std::string sDeathMessage;
-const std::vector<std::string> DeathMessage7 = {
-                "You should really try that again",
-                "You can do better, can you?",
-                "Hey, maybe you get a participation award, that's good isn't it?",
-                "Congratulations, you get a medal, a wooden one",
-                "That was flappin bad!",
-                "Well, that was a waste of time",
-                "You suck!",
-                "Maybe try SuperOrxoBros. That game is not as hard.",
-                "Here's a tip: Try not to fly into these grey thingies.",
-                "We won't comment on that."};
-            const std::vector<std::string> DeathMessage20 = {
-                "Getting better!",
-                "Training has paid off, huh?",
-                "Good average!",
-                "That was somehow enjoyable to watch",
-                "Flappin average",
-                "Getting closer to something",
-                "That wasn't crap, not bad",
-                "Surprisingly not bad."};
-  */      
+            int lives;
         
     };
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.cc	(revision 11992)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Oli Scheuss
+ *      Marc Dreher
  *   Co-authors:
- *      Damian 'Mozork' Frick
+ *      ..
  *
  */
@@ -62,5 +62,5 @@
     /**
     @brief
-        Destructor. Destroys controller, if present.
+        Destructor. Destroys ghost, if present.
     */
     PacmanGhost::~PacmanGhost()
@@ -71,5 +71,5 @@
     /**
     @brief
-        Method for creating a AutonomousDrone through XML.
+        Method for creating a ghost through XML.
     */
     void PacmanGhost::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -79,5 +79,5 @@
 
 
-
+    //All positions in the map, see documentation
     Vector3 possibleposition[] = {Vector3(20,10,245),Vector3(215,10,245),Vector3(215,10,195),Vector3(185,10,195),Vector3(135,10,195), //0-4
         Vector3(185,10,150),Vector3(135,10,150),Vector3(215,10,150),Vector3(215,10,105),Vector3(135,10,105), //5-9
@@ -97,5 +97,5 @@
     /**
     @brief
-        Defines which actions the AutonomousDrone has to take in each tick.
+        Defines which actions the ghost has to take in each tick.
     @param dt
         The length of the tick.
@@ -104,6 +104,4 @@
     {
         SUPER(PacmanGhost, tick, dt);
-
-        //setorientation
 
         this->actuelposition = this->getPosition();
@@ -340,4 +338,5 @@
     }
 
+    //Random choice of new target (not used in game, but useful)
     void PacmanGhost::setnewTarget(int firstdec){
         
@@ -352,4 +351,5 @@
     }
 
+    //Random choice of new target
     void PacmanGhost::setnewTarget(int firstdec, int seconddec){ 
     	   decision = rand()%2;
@@ -369,4 +369,5 @@
     }
 
+    //Random choice of new target
     void PacmanGhost::setnewTarget(int firstdec, int seconddec, int thirddec){
         
@@ -392,4 +393,5 @@
 	}
 
+    //Random choice of new target
     void PacmanGhost::setnewTarget(int firstdec, int seconddec, int thirddec, int fourthdec){
         
@@ -420,12 +422,13 @@
 	}
 
+    //Change this with other ghost
     void PacmanGhost::changewith(PacmanGhost* otherghost){
 
         while(lockmove){};
-        lockmove = true;
+        lockmove = true;    //Prevent change of target while ghost is changed
 
         otherghost->setPosition(this->getPosition());
         this->setPosition(0,-20,0);
-        otherghost->target_x = this->target_x;   //Probleme bei parallelen Porzessen
+        otherghost->target_x = this->target_x;   
         otherghost->target_z = this->target_z;
         otherghost->ismoving = this->ismoving;
@@ -437,8 +440,10 @@
     }
 
-
+    //Move ghost with rotation
     void PacmanGhost::move(float dt, Vector3 actuelposition, Vector3 velocity){
         if(!dontmove){
             this->setPosition(Vector3(actuelposition.x+speed*velocity.x*dt,10,actuelposition.z+speed*velocity.z*dt));
+        
+        //Rotate ghost in the direction of movement 
         if((abs(abs(velocity.x)-1)<0.1) && (abs(velocity.z-0)<0.1))
             if(velocity.x<0){
@@ -455,9 +460,9 @@
                  this->setOrientation(Quaternion(Radian(0), Vector3(0, 1, 0)));  
             }
-            this->getOrientation();
                      
      }
     }
 
+    //Check if there is a collision
     bool PacmanGhost::findpos(Vector3 one, Vector3 other){
        if((abs(one.x - other.x)<0.5) && (abs(one.y - other.y)<0.5) && (abs(one.z - other.z)<0.5)) return true;
@@ -465,4 +470,5 @@
     }
 
+    //Change ability to move
     void PacmanGhost::changemovability(){
         if(dontmove){
@@ -473,4 +479,5 @@
     }
 
+    //ResetGhost
     void PacmanGhost::resetGhost(){
     
@@ -484,4 +491,5 @@
     }
 
+    //Increase speed of ghosts
     void PacmanGhost::levelupvelo(){
         speed ++;
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanGhost.h	(revision 11992)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Oli Scheuss
+ *      Marc Dreher
  *   Co-authors:
- *      Damian 'Mozork' Frick
+ *      ..
  *
  */
@@ -35,5 +35,5 @@
 
 #include "worldentities/ControllableEntity.h"
-//Test 
+
 namespace orxonox {
 
@@ -51,8 +51,4 @@
             void resetGhost();
 
-            void setnewTarget(int firstdec);
-            void setnewTarget(int firstdec, int seconddec);
-            void setnewTarget(int firstdec, int seconddec, int thirddec);
-            void setnewTarget(int firstdec, int seconddec, int thirddec, int fourthdec);
             void changewith(PacmanGhost* otherghost);
             void levelupvelo();
@@ -61,5 +57,10 @@
             void changemovability();
             bool dontmove = false;
-            bool lockmove = false;
+
+        private:
+            int decision = 0; 
+            Vector3 resetposition = Vector3(0,10,15);
+            Vector3 velocity;
+            int speed = 20;
 
             Vector3 actuelposition;
@@ -67,11 +68,10 @@
             int target_x = 0; 
             int target_z = 0;
-            Vector3 velocity;
-            Vector3 oldvelocity = Vector3(2,0,0);
-            int speed = 20;
+            bool lockmove = false;
 
-        private:
-            int decision = 0; //Gives the random which way information to the ghost.
-            Vector3 resetposition = Vector3(0,10,15);
+            void setnewTarget(int firstdec);
+            void setnewTarget(int firstdec, int seconddec);
+            void setnewTarget(int firstdec, int seconddec, int thirddec);
+            void setnewTarget(int firstdec, int seconddec, int thirddec, int fourthdec);
     };
 
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.cc	(revision 11992)
@@ -21,7 +21,6 @@
  *
  *   Author:
- *      Leo Merholz
- *      Pascal Schärli
- *
+ *      Marc Dreher
+
  *      Co-authors:
  *      ...
@@ -79,5 +78,5 @@
             
             if(this->bShowPoints_) {
-                    const std::string& points = "Collected points: "+multi_cast<std::string>(this->PacmanGame->getPoints()) + " of " + multi_cast<std::string>(this->PacmanGame->totallevelpoint);
+                    const std::string& points = "Collected points: "+multi_cast<std::string>(this->PacmanGame->getPoints()) + " of " + multi_cast<std::string>(this->PacmanGame->getTotalpoints());
                     setTextSize(0.03);
                     this->setCaption(points);
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.h	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanHUDinfo.h	(revision 11992)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Marc Dreher
  *
  */
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.cc	(revision 11992)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Oli Scheuss
+ *      Marc Dreher
  *   Co-authors:
- *      Damian 'Mozork' Frick
+ *      
  *
  */
@@ -59,5 +59,5 @@
     /**
     @brief
-        Method for creating a AutonomousDrone through XML.
+        Method for creating a PacmanPointAfraid through XML.
     */
     void PacmanPointAfraid::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -72,4 +72,5 @@
     }
 
+    //Check for collision
     bool PacmanPointAfraid::taken(Vector3 playerpos)
     { 
@@ -83,5 +84,5 @@
     }
 
-
+    //Reset position
     void PacmanPointAfraid::resetPacmanPointAfraid(){
         resetposition = this->getPosition();
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointAfraid.h	(revision 11992)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Oli Scheuss
+ *      Marc Dreher
  *   Co-authors:
- *      Damian 'Mozork' Frick
+ *   
  *
  */
@@ -44,6 +44,6 @@
             virtual ~PacmanPointAfraid();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating an AutonomousDrone through XML.
-            virtual void tick(float dt); //!< Defines which actions the AutonomousDrone has to take in each tick.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); 
+            virtual void tick(float dt); 
 
             bool taken(Vector3 playerpos);
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointSphere.cc
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointSphere.cc	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointSphere.cc	(revision 11992)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Oli Scheuss
+ *      Marc Dreher
  *   Co-authors:
- *      Damian 'Mozork' Frick
+ *      
  *
  */
@@ -72,4 +72,5 @@
     }
 
+    //Check for collision
     bool PacmanPointSphere::taken(Vector3 playerpos)
     {
@@ -83,5 +84,5 @@
     }
 
-
+    //Reset position
     void PacmanPointSphere::resetPacmanPointSphere(){
         resetposition = this->getPosition();
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointSphere.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointSphere.h	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanPointSphere.h	(revision 11992)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Oli Scheuss
+ *      Marc Dreher
  *   Co-authors:
- *      Damian 'Mozork' Frick
+ *      
  *
  */
Index: code/branches/3DPacman_FS18/src/modules/pacman/PacmanPrereqs.h
===================================================================
--- code/branches/3DPacman_FS18/src/modules/pacman/PacmanPrereqs.h	(revision 11990)
+++ code/branches/3DPacman_FS18/src/modules/pacman/PacmanPrereqs.h	(revision 11992)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Marc Dreher
  *   Co-authors:
  *      ...