Index: code/branches/OrxyRoad_FS18/data/levels/templates/OrxyRoadPattern.oxt
===================================================================
--- code/branches/OrxyRoad_FS18/data/levels/templates/OrxyRoadPattern.oxt	(revision 11975)
+++ code/branches/OrxyRoad_FS18/data/levels/templates/OrxyRoadPattern.oxt	(revision 11994)
@@ -123,5 +123,5 @@
     </attached>
     <collisionShapes>
-      <SphereCollisionShape radius="30" />
+      <SphereCollisionShape radius="120" />
     </collisionShapes>
 	</OrxyRoadCube>
@@ -138,5 +138,5 @@
     </attached>
     <collisionShapes>
-      <SphereCollisionShape radius="30" />
+      <SphereCollisionShape radius="120" />
     </collisionShapes>
 	</OrxyRoadCube>
@@ -153,5 +153,7 @@
     </attached>
     <collisionShapes>
-      	<BoxCollisionShape position="0,0,0" halfExtents="30,30,30" /> 
+      	<BoxCollisionShape position="0,0,0" halfExtents="30,30,30" />
+      	<BoxCollisionShape position="75,0,0" halfExtents="120,10,30" />
+      	<BoxCollisionShape position="-75,0,0" halfExtents="120	,10,30" /> 
     </collisionShapes>
 	</OrxyRoadCube>
Index: code/branches/OrxyRoad_FS18/data/levels/templates/spaceshipOrxyRoad.oxt
===================================================================
--- code/branches/OrxyRoad_FS18/data/levels/templates/spaceshipOrxyRoad.oxt	(revision 11975)
+++ code/branches/OrxyRoad_FS18/data/levels/templates/spaceshipOrxyRoad.oxt	(revision 11994)
@@ -43,10 +43,10 @@
   >
     <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipinvaderengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipinvaderengine />
+      <MultiStateEngine position=" 15.2, 0, 12" template=spaceshipinvaderengine />
+      <MultiStateEngine position="-15.2, 0, 0" template=spaceshipinvaderengine />
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="escortShip.mesh" />
-      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=8 mesh="escortShip.mesh" />       <!-- EXPERIMENTAL: changed scale form 4 to 8 /-->
+      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=8 mesh="escortWeapon.mesh" />
 <!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
 <Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
@@ -55,8 +55,9 @@
     </attached>
     <collisionShapes>
-      <BoxCollisionShape position="0    ,0 ,  3" halfExtents="10,   4,8" />
-      <BoxCollisionShape position="12.6 ,-2,  3" halfExtents="2.8,2.8,11"/>
-      <BoxCollisionShape position="-12.6,-2,  3" halfExtents="2.8,2.8,11"/>
-      <BoxCollisionShape position="0,     0,-12" halfExtents="4  , 4 ,7" />
+      <BoxCollisionShape position="0    ,0 ,  6" halfExtents="20,   8,16" />
+      <BoxCollisionShape position="25.2 ,-4,  6" halfExtents="5.6,5.6,22"/>
+      <BoxCollisionShape position="-25.2,-4,  6" halfExtents="5.6,5.6,22"/>
+      <BoxCollisionShape position="0,     0,-24" halfExtents="8  , 8 ,14
+        " />
     </collisionShapes>
     <explosion >
@@ -80,5 +81,5 @@
   <OrxyRoadShip>
     <camerapositions>
-		<CameraPosition position="200,200,360" direction="-0.4, -0.4, -1" yaw="0" drag=false mouselook=true />
+		<CameraPosition position="400,400,720" direction="-0.4, -0.4, -1" yaw="0" drag=false mouselook=true />
 		<CameraPosition position="0,200,250" direction="0, -0.4, -1" drag=false mouselook=true />
 		<CameraPosition position="0,30,150" direction="0, 0, -1" drag=false mouselook=true />
@@ -110,6 +111,6 @@
     </EffectContainer>
     <EffectContainer condition="not idle">
-      <FadingBillboard mainstate=activity active=false scale=0.09 position="12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.09 position="-12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.18 position="24, -4, 26" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.18 position="-24, -4, 26" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
     </EffectContainer>
     <EffectContainer condition="normal or brake">
@@ -117,11 +118,12 @@
     </EffectContainer>
     <EffectContainer condition="normal or boost">
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.66 name=bltest position=" 24, 0, 20" colour="0.2, 1.0, 0.65, 1.0" width=30 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.66 name=bltest position=" -24, 0, 20" colour="0.2, 1.0, 0.65, 1.0" width=30 length=3000 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
     </EffectContainer>
     <EffectContainer condition="boost">
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.66 name=bltest position=" 24, 0, 20" colour="0.6, 0.8, 0.75, 0.7" width=50 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.66 name=bltest position=" -24, 0, 20" colour="0.6, 0.8, 0.75, 0.7" width=50 length=2000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
     </EffectContainer>
+    
 
   </MultiStateEngine>