Index: code/branches/Hover_FS18/data/levels/Hover.oxw
===================================================================
--- code/branches/Hover_FS18/data/levels/Hover.oxw	(revision 11971)
+++ code/branches/Hover_FS18/data/levels/Hover.oxw	(revision 11995)
@@ -44,9 +44,8 @@
       </attached> -->
       <attached>
-<Model mesh="hover_level.mesh" scale="200"/>
+<Model mesh="Hover.mesh" position="-1020.544,397.472,2372.286" scale="200" />
 </attached>
       <collisionShapes>
       
-<!--Ebene 1-->    
 <!--
 <BoxCollisionShape position="-1020.0, 2572.286, -1122.528" halfExtents="1600.0, 200.0, 80.0" />
@@ -97,5 +96,5 @@
 -->
 <!--Ebene 3-->
-
+<!--
 <BoxCollisionShape position="0.0, 200.0, 2799.765" halfExtents="2900.0, 200.0, 100.235" />
 <BoxCollisionShape position="-2814.0, 200.0, 0.0" halfExtents="85.244, 200.0, 2900.0" />
@@ -120,4 +119,5 @@
 <BoxCollisionShape position="-786.0, 200.0, -1423.538" halfExtents="102.982, 200.0, 600.0" />
 <BoxCollisionShape position="294.0, 200.0, -296.027" halfExtents="78.744, 200.0, 412.175" />
+-->
 
 <!--Roehre 1-->
@@ -145,15 +145,119 @@
 <BoxCollisionShape position="180.0, 2392.286, -802.528" halfExtents="100.0, 20.0, 100.0" />
 -->
+
 <!--Boden 2-->
-<BoxCollisionShape position="176.0, 1174.082, 873.574" halfExtents="2239.999, 0.01, 2240.0" />
+<!--
+<BoxCollisionShape position="542.0, 1189.103, 612.201" halfExtents="1874.539, 1.101, 1978.6269999999997" />
+<BoxCollisionShape position="401.99999999999994, 1189.103, 2852.201" halfExtents="2014.538, 1.101, 261.373" />
+<BoxCollisionShape position="-1838.0, 1189.103, 873.574" halfExtents="225.461, 1.101, 2240.0" />
+<BoxCollisionShape position="462.0, 1189.103, 1527.1699999999998" halfExtents="2074.538, 1.101, 783.658" />
+<BoxCollisionShape position="1078.0, 1189.103, -311.457" halfExtents="1338.902, 1.101, 1054.969" />
+<BoxCollisionShape position="-798.0, 1189.103, -648.1379999999999" halfExtents="535.6370000000001, 1.101, 718.288" />
+<BoxCollisionShape position="-938.0000000000001, 1189.103, 406.831" halfExtents="395.637, 1.101, 336.681" />
+-->
 <!--Boden 1-->
-<!--<BoxCollisionShape position="-1020.0, 2371.856, 397.472" halfExtents="1600.0, 0.001, 1600.0" />-->
-<BoxCollisionShape position="-1019.9999999999999, 2372.285, -566.189" halfExtents="1600.0, 0.001, 636.3389999999999" />
-<BoxCollisionShape position="-1019.9999999999999, 2372.285, 1153.811" halfExtents="1600.0, 0.001, 843.661" />
-<BoxCollisionShape position="-1782.0, 2372.285, 190.15" halfExtents="839.2150000000001, 0.001, 120.0" />
-<BoxCollisionShape position="-640.0, 2372.285, 1221.218" halfExtents="61.329, 0.001, 1151.068" />
+<!--
+<BoxCollisionShape position="-1019.9999999999999, 2372.185, -1052.53" halfExtents="1600.0, 0.101, 149.99800000000002" />
+<BoxCollisionShape position="-1270.0, 2372.185, -802.528" halfExtents="1350.0, 0.101, 100.0" />
+<BoxCollisionShape position="-72.0, 2372.185, 647.472" halfExtents="650.7850000000001, 0.101, 1350.0" />
+<BoxCollisionShape position="-1772.0, 2372.185, 647.472" halfExtents="849.215, 0.101, 1350.0" />
+<BoxCollisionShape position="-822.0000000000001, 2372.185, -306.189" halfExtents="100.0, 0.101, 396.339" />
+<BoxCollisionShape position="-822.0000000000001, 2372.185, 1143.811" halfExtents="100.0, 0.101, 853.661" />
+-->
 
 <!--Boden 3-->
-<BoxCollisionShape position="0.0, -10.0, 0.0" halfExtents="2900.0, 0.01, 2900.0" />
+<!--
+<BoxCollisionShape position="0.0, -8.899, 0.0" halfExtents="2900.0, 1.101, 2900.0" />
+-->
+<BoxCollisionShape position="-1019.9999999999999, -1122.528, 2572.286" halfExtents="1600.0, 80.0, 200.0" />
+<BoxCollisionShape position="500.0, 397.472, 2572.286" halfExtents="80.0, 1600.0, 200.0" />
+<BoxCollisionShape position="-2544.0, 397.472, 2572.286" halfExtents="76.0, 1600.0, 200.0" />
+<BoxCollisionShape position="-1100.0, 1997.4720000000002, 2572.286" halfExtents="1520.0, 0.0, 200.0" />
+<BoxCollisionShape position="30.0, 1445.472, 2572.286" halfExtents="43.32, 400.0, 200.0" />
+<BoxCollisionShape position="-514.0, 1386.472, 2572.286" halfExtents="500.0, 51.0, 200.0" />
+<BoxCollisionShape position="130.0, 1105.472, 2572.286" halfExtents="143.32, 60.0, 200.0" />
+<BoxCollisionShape position="-754.0, 790.472, 2572.286" halfExtents="60.0, 254.99999999999997, 200.0" />
+<BoxCollisionShape position="-1568.0, 1210.112, 2572.286" halfExtents="900.0, 57.76, 200.0" />
+<BoxCollisionShape position="-1144.0, 1473.872, 2572.286" halfExtents="475.0, 206.0, 200.0" />
+<BoxCollisionShape position="-1855.9999999999998, 854.3519999999999, 2572.286" halfExtents="68.0, 302.0, 200.0" />
+<BoxCollisionShape position="-2039.9999999999998, -642.528, 2572.286" halfExtents="71.333, 400.0, 200.0" />
+<BoxCollisionShape position="20.0, -547.9580000000001, 2572.286" halfExtents="400.0, 61.370000000000005, 200.0" />
+<BoxCollisionShape position="-320.0, -647.9580000000001, 2572.286" halfExtents="60.0, 161.37, 200.0" />
+<BoxCollisionShape position="198.0, -186.588, 2572.286" halfExtents="51.0, 300.0, 200.0" />
+<BoxCollisionShape position="20.0, 626.97, 2572.286" halfExtents="400.0, 64.132, 200.0" />
+<BoxCollisionShape position="-172.0, 162.838, 2572.286" halfExtents="48.0, 400.0, 200.0" />
+<BoxCollisionShape position="-638.0, -642.528, 2572.286" halfExtents="46.989999999999995, 400.0, 200.0" />
+<BoxCollisionShape position="-1248.0, 23.472, 2572.286" halfExtents="62.5, 500.0, 200.0" />
+<BoxCollisionShape position="-974.0, -69.50800000000001, 2572.286" halfExtents="711.881, 533.02, 200.0" />
+<BoxCollisionShape position="-1620.0, -139.52800000000002, 2572.286" halfExtents="65.625, 463.0, 200.0" />
+<BoxCollisionShape position="-1920.0, 263.47200000000004, 2572.286" halfExtents="365.625, 60.0, 200.0" />
+<BoxCollisionShape position="2310.0, 873.574, 1384.082" halfExtents="106.4, 2240.0, 200.0" />
+<BoxCollisionShape position="176.0, 3001.574, 1384.082" halfExtents="2239.999, 112.00000000000001, 200.0" />
+<BoxCollisionShape position="-1952.0, 873.574, 1384.082" halfExtents="112.0001, 2240.0, 200.0" />
+<BoxCollisionShape position="176.0, -1260.026, 1384.082" halfExtents="2239.9991, 106.4, 200.0" />
+<BoxCollisionShape position="834.0, 474.69, 1384.082" halfExtents="890.0, 150.0, 200.0" />
+<BoxCollisionShape position="1634.0, 124.68999999999998, 1384.082" halfExtents="90.001, 500.0, 200.0" />
+<BoxCollisionShape position="1604.0, -461.228, 1384.082" halfExtents="599.999, 85.918, 200.0" />
+<BoxCollisionShape position="463.99999999999994, -955.626, 1384.082" halfExtents="121.295, 198.0, 200.0" />
+<BoxCollisionShape position="1504.0, 1183.673, 1384.082" halfExtents="699.999, 89.785, 200.0" />
+<BoxCollisionShape position="882.0, 1583.673, 1384.082" halfExtents="78.75, 489.785, 200.0" />
+<BoxCollisionShape position="1538.0, 1873.458, 1384.082" halfExtents="105.001, 600.0, 200.0" />
+<BoxCollisionShape position="1792.0000000000002, 2098.428, 1384.082" halfExtents="147.926, 66.182, 200.0" />
+<BoxCollisionShape position="470.0, 2389.574, 1384.082" halfExtents="59.239, 500.0, 200.0" />
+<BoxCollisionShape position="-88.0, 2495.674, 1384.082" halfExtents="500.0, 67.34400000000001, 200.0" />
+<BoxCollisionShape position="-1030.0, 2489.574, 1384.082" halfExtents="90.04299999999999, 400.0, 200.0" />
+<BoxCollisionShape position="-1040.0, 1161.106, 1384.082" halfExtents="800.0, 90.972, 200.0" />
+<BoxCollisionShape position="-320.0, 1561.107, 1384.082" halfExtents="80.0, 490.97299999999996, 200.0" />
+<BoxCollisionShape position="-1146.0, 770.134, 1384.082" halfExtents="99.0, 300.0, 200.0" />
+<BoxCollisionShape position="-1282.0, -548.626, 1384.082" halfExtents="98.25, 605.0, 200.0" />
+<BoxCollisionShape position="-584.0, -366.126, 1384.082" halfExtents="600.0, 112.5, 200.0" />
+<BoxCollisionShape position="0.0, 2799.765, 200.0" halfExtents="2900.0, 100.23500000000001, 200.0" />
+<BoxCollisionShape position="-2814.0, 0.0, 200.0" halfExtents="85.244, 2900.0, 200.0" />
+<BoxCollisionShape position="0.0, -2802.87, 200.0" halfExtents="2900.0, 97.13000000000001, 200.0" />
+<BoxCollisionShape position="2800.0, 0.0, 200.0" halfExtents="99.593, 2900.0, 200.0" />
+<BoxCollisionShape position="2148.0, 2099.53, 200.0" halfExtents="74.97399999999999, 600.0, 200.0" />
+<BoxCollisionShape position="1636.0, 1919.53, 200.0" halfExtents="436.798, 0.0, 200.0" />
+<BoxCollisionShape position="334.0, 2295.578, 200.0" halfExtents="78.569, 403.95200000000006, 200.0" />
+<BoxCollisionShape position="-1430.0, 1940.614, 200.0" halfExtents="1300.0, 90.414, 200.0" />
+<BoxCollisionShape position="-1108.0, 1150.2, 200.0" halfExtents="146.36499999999998, 700.0, 200.0" />
+<BoxCollisionShape position="-2030.0, 694.365, 200.0" halfExtents="700.0, 83.68100000000001, 200.0" />
+<BoxCollisionShape position="-1742.0000000000002, 945.4259999999999, 200.0" halfExtents="411.89099999999996, 334.742, 200.0" />
+<BoxCollisionShape position="-2104.0, -1505.74, 200.0" halfExtents="83.16, 1200.0, 200.0" />
+<BoxCollisionShape position="2100.0, -282.036, 200.0" halfExtents="600.0, 83.284, 200.0" />
+<BoxCollisionShape position="1582.0, 373.88, 200.0" halfExtents="81.929, 572.6320000000001, 200.0" />
+<BoxCollisionShape position="1952.0, 863.876, 200.0" halfExtents="288.122, 82.636, 200.0" />
+<BoxCollisionShape position="1500.0, -1742.4410000000003, 200.0" halfExtents="1200.0, 62.007, 200.0" />
+<BoxCollisionShape position="1800.0, -2031.4969999999998, 200.0" halfExtents="73.028, 227.049, 200.0" />
+<BoxCollisionShape position="911.9999999999999, -180.435, 200.0" halfExtents="70.824, 1499.999, 200.0" />
+<BoxCollisionShape position="396.0, 802.4839999999999, 200.0" halfExtents="444.908, 91.25, 200.0" />
+<BoxCollisionShape position="-320.0, -765.87, 200.0" halfExtents="1160.473, 57.668, 200.0" />
+<BoxCollisionShape position="-786.0, -1423.538, 200.0" halfExtents="102.982, 600.0, 200.0" />
+<BoxCollisionShape position="294.0, -296.027, 200.0" halfExtents="78.744, 412.17499999999995, 200.0" />
+<BoxCollisionShape position="-822.0000000000001, 80.15, 1856.1" halfExtents="120.0, 10.0, 516.186" />
+<BoxCollisionShape position="-712.0, 190.15, 1856.1" halfExtents="10.0, 120.0, 516.186" />
+<BoxCollisionShape position="-822.0000000000001, 300.15, 1856.1" halfExtents="120.0, 10.0, 516.186" />
+<BoxCollisionShape position="-932.0, 190.15, 1856.1" halfExtents="10.0, 120.0, 516.186" />
+<BoxCollisionShape position="-1472.0, 2300.828, 752.929" halfExtents="160.0, 10.0, 437.275" />
+<BoxCollisionShape position="-1622.0, 2450.828, 752.929" halfExtents="10.001, 160.0, 437.275" />
+<BoxCollisionShape position="-1472.0, 2600.828, 752.929" halfExtents="160.0, 10.0, 437.275" />
+<BoxCollisionShape position="-1322.0, 2450.828, 752.929" halfExtents="10.0, 160.0, 437.275" />
+<BoxCollisionShape position="-401.99999999999994, 603.5120000000001, 1220.598" halfExtents="140.0, 140.0, 20.0" />
+<BoxCollisionShape position="-401.99999999999994, -836.4879999999999, 564.133" halfExtents="140.0, 1300.0, 676.4649999999999" />
+<BoxCollisionShape position="1080.0, -802.528, 1792.286" halfExtents="799.999, 100.0, 620.0" />
+<BoxCollisionShape position="180.0, -802.528, 2392.286" halfExtents="100.0, 100.0, 20.0" />
+<BoxCollisionShape position="0.0, 0.0, -10.0" halfExtents="2900.0, 2900.0, 10.0" />
+<BoxCollisionShape position="-822.0000000000001, 190.15, 2372.286" halfExtents="100.0, 100.0, 0.0" />
+<BoxCollisionShape position="-1472.0, 2450.828, 1190.204" halfExtents="139.999, 140.0, 0.0" />
+<BoxCollisionShape position="-1019.9999999999999, -1052.53, 2372.286" halfExtents="1600.0, 149.99800000000002, 0.0" />
+<BoxCollisionShape position="-1270.0, -802.528, 2372.286" halfExtents="1350.0, 100.0, 0.0" />
+<BoxCollisionShape position="-72.0, 647.472, 2372.286" halfExtents="650.7850000000001, 1350.0, 0.0" />
+<BoxCollisionShape position="-1772.0, 647.472, 2372.286" halfExtents="849.215, 1350.0, 0.0" />
+<BoxCollisionShape position="-822.0000000000001, -306.189, 2372.286" halfExtents="100.0, 396.339, 0.0" />
+<BoxCollisionShape position="-822.0000000000001, 1143.811, 2372.286" halfExtents="100.0, 853.661, 0.0" />
+<BoxCollisionShape position="542.0, 612.201, 1190.204" halfExtents="1874.539, 1978.6269999999997, 0.0" />
+<BoxCollisionShape position="401.99999999999994, 2852.201, 1190.204" halfExtents="2014.538, 261.373, 0.0" />
+<BoxCollisionShape position="-1838.0, 873.574, 1190.204" halfExtents="225.461, 2240.0, 0.0" />
+<BoxCollisionShape position="462.0, 1527.1699999999998, 1190.204" halfExtents="2074.538, 783.658, 0.0" />
+
 
         
@@ -162,19 +266,14 @@
 
 </collisionShapes>
-<StaticEntity position="0, 0, 0" collisionType = "none">
-
-<collisionShapes>
-<BoxCollisionShape position="-822.0, 1885.286, 190.15" halfExtents="100.0, 486.571, 100.0" />
-<BoxCollisionShape position="-1472.0, 752.929 , 2450.828" halfExtents="140.0, 429.111, 140.0" />
-   </collisionShapes>
-</StaticEntity>
-
-
-
-
-
-
 
     </StaticEntity>
+
+
+
+
+
+
+
+
 
     <Light
@@ -188,5 +287,5 @@
     <SpawnPoint
       team=0
-      position="-1020,2372,398"
+      position="-1020,5000,398"
       lookat="100,0, 0"
       spawnclass=HoverShip