Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.cc	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.h
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.h	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoad.h	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCenterPoint.cc
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCenterPoint.cc	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCenterPoint.cc	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCenterPoint.h
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCenterPoint.h	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCenterPoint.h	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.cc
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.cc	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.cc	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Samuel Riedel
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.h
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.h	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadCube.h	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Samuel Riedel
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadHUDinfo.cc
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadHUDinfo.cc	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadHUDinfo.cc	(revision 11998)
@@ -21,5 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadHUDinfo.h
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadHUDinfo.h	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadHUDinfo.h	(revision 11998)
@@ -21,5 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadPrereqs.h
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadPrereqs.h	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadPrereqs.h	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.cc
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.cc	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.cc	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */
Index: code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.h
===================================================================
--- code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.h	(revision 11996)
+++ code/branches/OrxyRoad_FS18/src/modules/orxyroad/OrxyRoadShip.h	(revision 11998)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
+ *      Sebastian Hirsch
+ *      Robin Jacobs
+ *   Co-authors: 
  *
  */