Index: code/branches/ScriptableController_FS18/data/levels/AAAScriptableControllerTest.oxw
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/AAAScriptableControllerTest.oxw	(revision 11974)
+++ code/branches/ScriptableController_FS18/data/levels/AAAScriptableControllerTest.oxw	(revision 11999)
@@ -1,5 +1,5 @@
 <LevelInfo
- name = "AAAScriptableControllerTest"
- description = "Demonstrates moving and killing a drone by use of a script."
+ name = "Scriptable Controller Moving and Killing Pawn"
+ description = "Demonstrates moving and killing a drone by using a lua script."
  tags = "test"
  screenshot = "emptylevel.png"
Index: code/branches/ScriptableController_FS18/data/levels/BBBScriptableControllerTest.oxw
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/BBBScriptableControllerTest.oxw	(revision 11974)
+++ code/branches/ScriptableController_FS18/data/levels/BBBScriptableControllerTest.oxw	(revision 11999)
@@ -1,5 +1,5 @@
 <LevelInfo
- name = "BBBScriptableControllerTest"
- description = "Demonstrates moving and killing a drone by use of a script."
+ name = "Scriptable Controller Spawning Pawn"
+ description = "Demonstrates spawning a drone by using a lua script."
  tags = "test"
  screenshot = "emptylevel.png"
Index: code/branches/ScriptableController_FS18/data/levels/scripts/AAAScriptableControllerTest.lua
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/scripts/AAAScriptableControllerTest.lua	(revision 11974)
+++ code/branches/ScriptableController_FS18/data/levels/scripts/AAAScriptableControllerTest.lua	(revision 11999)
@@ -63,4 +63,5 @@
 	orxPrint("Spawning dummy!")
 	spawnTest("dummy")
+	move_dummy()
 end
 
@@ -107,2 +108,3 @@
 
 
+
Index: code/branches/ScriptableController_FS18/data/levels/templates/AAAAutonomousDroneTemplate.oxt
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/templates/AAAAutonomousDroneTemplate.oxt	(revision 11974)
+++ code/branches/ScriptableController_FS18/data/levels/templates/AAAAutonomousDroneTemplate.oxt	(revision 11999)
@@ -2,5 +2,5 @@
   <AAAAutonomousDrone>
     <attached>
-      <Model scale="10" position="0,0,0" mesh="drone.mesh"/>
+      <Model scale="10" mesh="drone.mesh"/>
     </attached>
     <collisionShapes>
Index: code/branches/ScriptableController_FS18/src/libraries/core/BaseObject.cc
===================================================================
--- code/branches/ScriptableController_FS18/src/libraries/core/BaseObject.cc	(revision 11974)
+++ code/branches/ScriptableController_FS18/src/libraries/core/BaseObject.cc	(revision 11999)
@@ -77,5 +77,5 @@
         {
             this->setFile(this->creator_->getFile());
-
+            
             // store strong-pointers on all four base objects by default (can be overwritten with weak-ptr after the constructor if necessary)
             this->setNamespace(this->creator_->namespace_.createStrongPtr());
Index: code/branches/ScriptableController_FS18/src/orxonox/Level.h
===================================================================
--- code/branches/ScriptableController_FS18/src/orxonox/Level.h	(revision 11974)
+++ code/branches/ScriptableController_FS18/src/orxonox/Level.h	(revision 11999)
@@ -64,9 +64,10 @@
 
             void addObject(BaseObject* object);
+            BaseObject* getObject(unsigned int index) const;
 
         private:
             void registerVariables();
             //void addObject(BaseObject* object);
-            BaseObject* getObject(unsigned int index) const;
+            //BaseObject* getObject(unsigned int index) const;
 
             void addLodInfo(MeshLodInformation* object);
Index: code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc
===================================================================
--- code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc	(revision 11974)
+++ code/branches/ScriptableController_FS18/src/orxonox/scriptablecontroller/scriptable_controller_api.cc	(revision 11999)
@@ -7,4 +7,8 @@
 #include "infos/Bot.h"
 #include "worldentities/pawns/ModularSpaceShip.h"
+//#include "../modules/objects/collisionshapes/SphereCollisionShape.h"
+#include "graphics/Model.h"
+#include "worldentities/pawns/AAAAutonomousDrone.h"
+
 
 namespace orxonox
@@ -268,16 +272,16 @@
         }
 
-        //for (Level* level : ObjectList<Level>())
-        //    level->loadedNewXMLName(this);
-
-
-
-
-
-        /////!!!!!!!!!!!!!!!
-
-        this->controller_->level_->addObject(orxonox_cast<Pawn*>(entity));
-
-
+
+
+        ///////////////GOLD!!!!!!!!!!!!!!!////////////////////////
+        Pawn* pawn = this->controller_->getPawnByID(id);
+        //Attach to pawn
+        AAAAutonomousDrone* drone = new AAAAutonomousDrone(pawn->getContext()); // this is neccessary because the projectiles fired need a valid creator for the particlespawner (when colliding against something)
+        
+        drone->addTemplate("AAAAutonomousDroneTemplate"); //AAAAutonomousDroneTemplate spaceshipescort
+
+        Vector3 spawnPosition = pawn->getWorldPosition() + Vector3(30,0,-30);
+        drone->setPosition(spawnPosition);
+        //drone->moveFrontBack(1.0);
 
 
@@ -494,4 +498,5 @@
     {
         MobileEntity *entity = this->controller_->getMobileEntityByID(id);
+        
         if(entity == nullptr)
         {
@@ -499,5 +504,4 @@
             return;
         }
-
 
         Identifier *identifier = ClassByString("ControllableEntity");
@@ -505,12 +509,14 @@
         ControllableEntity *controllable_entity;
         
-
         if(identifier->isA(ClassIdentifier<ControllableEntity>::getIdentifier()))
         {
+            orxout(user_info) << "Before final cast..."<< endl;
             controllable_entity = orxonox_cast<ControllableEntity*>(entity);
+            orxout(user_info) << "After final cast..."<< endl;
             //ATTACHED COLLISION SHAPE is MANDATORY in order to move the entity
             controllable_entity->moveFrontBack(x);
             controllable_entity->moveRightLeft(y);
             controllable_entity->moveUpDown(z);
+            orxout(user_info) << "After move..."<< endl;
         }
 