Index: code/branches/ScriptableController_FS18/data/levels/AAAScriptableControllerTest.oxw
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/AAAScriptableControllerTest.oxw	(revision 11999)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<LevelInfo
- name = "Scriptable Controller Moving and Killing Pawn"
- description = "Demonstrates moving and killing a drone by using a lua script."
- tags = "test"
- screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("templates/lodInformation.oxt")
-  include("templates/HeavyCruiser.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipEscort.oxt")
-  include("templates/endurancetest_template.oxt")
-  include("templates/AAAAutonomousDroneTemplate.oxt")
-?>
-
-<Level script="scripts/AAAScriptableControllerTest.lua">
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-  <Scene
-    ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox"
-  >
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="100,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-    <!-- <SpawnPoint team=2 position="0,0,0" lookat="0,0,0" spawnclass=AAAAutonomousDrone pawndesign=AAAAutonomousDroneTemplate />  -->
-    
-
-    
-  
-
-
-  </Scene>
-</Level>
Index: code/branches/ScriptableController_FS18/data/levels/BBBScriptableControllerTest.oxw
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/BBBScriptableControllerTest.oxw	(revision 11999)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<LevelInfo
- name = "Scriptable Controller Spawning Pawn"
- description = "Demonstrates spawning a drone by using a lua script."
- tags = "test"
- screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("templates/lodInformation.oxt")
-  include("templates/HeavyCruiser.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipEscort.oxt")
-  include("templates/endurancetest_template.oxt")
-?>
-
-<Level script="scripts/BBBScriptableControllerTest.lua">
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-  <Scene
-    ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox"
-  >
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="100,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-
-  <AAAAutonomousDrone id="dummy" position="0,0,0">
-    <attached>
-      <Model scale="10" mesh="drone.mesh"/>
-    </attached>
-    <collisionShapes>
-      <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
-    </collisionShapes>
-  </AAAAutonomousDrone>
-    
-  
-
-
-  </Scene>
-</Level>
Index: code/branches/ScriptableController_FS18/data/levels/ScriptableControllerTestMoveKillDrone.oxw
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/ScriptableControllerTestMoveKillDrone.oxw	(revision 12006)
+++ code/branches/ScriptableController_FS18/data/levels/ScriptableControllerTestMoveKillDrone.oxw	(revision 12006)
@@ -0,0 +1,48 @@
+<LevelInfo
+ name = "Scriptable Controller Moving and Killing Pawn"
+ description = "Demonstrates moving and killing a drone by using a lua script."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/HeavyCruiser.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+?>
+
+<Level script="scripts/ScriptableControllerMoveKill.lua">
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="100,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+
+
+  <ScriptableControllerDrone id="dummy" position="0,0,0">
+    <attached>
+      <Model scale="10" mesh="drone.mesh"/>
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
+    </collisionShapes>
+  </ScriptableControllerDrone>
+    
+  
+
+
+  </Scene>
+</Level>
Index: code/branches/ScriptableController_FS18/data/levels/ScriptableControllerTestSpawn.oxw
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/ScriptableControllerTestSpawn.oxw	(revision 12006)
+++ code/branches/ScriptableController_FS18/data/levels/ScriptableControllerTestSpawn.oxw	(revision 12006)
@@ -0,0 +1,41 @@
+<LevelInfo
+ name = "Scriptable Controller Spawning Pawn"
+ description = "Demonstrates spawning a drone by using a lua script."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/HeavyCruiser.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+  include("templates/ScriptableControllerDroneTemplate.oxt")
+?>
+
+<Level script="scripts/ScriptableControllerSpawn.lua">
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="100,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    
+
+    
+  
+
+
+  </Scene>
+</Level>
Index: code/branches/ScriptableController_FS18/data/levels/scripts/AAAScriptableControllerTest.lua
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/scripts/AAAScriptableControllerTest.lua	(revision 11999)
+++ 	(revision )
@@ -1,110 +1,0 @@
-
-rotate_factor = 0.0
-station_loc = 200.0
-station_speed = 0.0
-
-id = "dummy"
-
-
-function spawn_station(obj)
-	orxPrint("Spawning station")
-	setPosition("Station", 500, 0, 0)
-	setOrientation("Station", 0, -1, 0, 0)
-end
-
-
-function rotate_faster(obj1, obj2, health, shield)
-	orxPrint("Rotating station faster")
-
-	rotate_factor = rotate_factor + 0.02
-	setAngularVelocity("Station", rotate_factor, 0, 0)
-end
-
-
-function kill_player()
-	orxPrint("Killing player")
-	killPawn("Player")
-end
-
-
-function kill_player_after_timeout(pawn)
-	orxPrint("Killing player after 5s")
-
-	registerAfterTimeout(kill_player, 5)
-end
-
-
-function next_station_loc(obj1, obj2)
-	orxPrint("Moving station")
-
-	station_loc = station_loc + 500
-	setPosition("Station", station_loc, 0, 0)
-
-	station_speed = station_speed + 5
-	setVelocity("Station", -station_speed, 0, 0)
-
-	registerAtNearObject(next_station_loc, "Player", "Station", 200)
-end
-
-
-function kill_player()
-	orxPrint("Killing player")
-	killPawn("Player")
-end
-
-
-function kill_dummy()
-	orxPrint("Killing dummy!")
-	killPawn(id)
-end
-
-
-function spawn_dummy()
-	orxPrint("Spawning dummy!")
-	spawnTest("dummy")
-	move_dummy()
-end
-
-
-function kill_player_after_timeout(pawn)
-	orxPrint("Killing player after 5s")
-
-	registerAfterTimeout(kill_player, 5)
-end
-
-
-function kill_dummy_after_timeout(seconds)
-	orxPrint("Killing dummy after " .. tostring(seconds))
-	registerAfterTimeout(kill_dummy, seconds)
-end
-
-
-function move_dummy()
-	orxPrint("Moving dummy!")
-	moveControllableEntity(id, 1.0, 0.0, 0.0)
-end
-
-
-function move_dummy_after_timeout(seconds)
-	orxPrint("Moving dummy after " .. tostring(seconds))
-
-	registerAfterTimeout(move_dummy, seconds)
-end
-
-
-function spawn_dummy_after_timeout(seconds)
-	orxPrint("Spawning dummy after " .. tostring(seconds))
-	registerAfterTimeout(spawn_dummy, seconds)
-end
-
-
-
-
-orxPrint("Script started! OMG ROFL LOL WTF")
-mytestfunction(3.0, 4.0)
-
-
-spawn_dummy_after_timeout(5)
-
-
-
Index: code/branches/ScriptableController_FS18/data/levels/scripts/BBBScriptableControllerTest.lua
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/scripts/BBBScriptableControllerTest.lua	(revision 11999)
+++ 	(revision )
@@ -1,51 +1,0 @@
-
-id = "dummy"
-
-
-function kill_player()
-	orxPrint("Killing player")
-	killPawn("Player")
-end
-
-
-function kill_dummy()
-	orxPrint("Killing dummy!")
-	killPawn(id)
-end
-
-
-function kill_player_after_timeout(pawn)
-	orxPrint("Killing player after 5s")
-
-	registerAfterTimeout(kill_player, 5)
-end
-
-
-function kill_dummy_after_timeout(seconds)
-	orxPrint("Killing dummy after " .. tostring(seconds))
-	registerAfterTimeout(kill_dummy, seconds)
-end
-
-
-function move_dummy()
-	orxPrint("Moving dummy!")
-	moveControllableEntity(id, 1.0, 0.0, 0.0)
-end
-
-
-function move_dummy_after_timeout(seconds)
-	orxPrint("Moving dummy after " .. tostring(seconds))
-	registerAfterTimeout(move_dummy, seconds)
-end
-
-
-
-
-move_dummy_after_timeout(5)
-kill_dummy_after_timeout(10)
-
-
-orxPrint("Script started! OMG ROFL LOL WTF")
-mytestfunction(3.0, 4.0)
-
-
Index: code/branches/ScriptableController_FS18/data/levels/scripts/ScriptableControllerMoveKill.lua
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/scripts/ScriptableControllerMoveKill.lua	(revision 12006)
+++ code/branches/ScriptableController_FS18/data/levels/scripts/ScriptableControllerMoveKill.lua	(revision 12006)
@@ -0,0 +1,51 @@
+
+id = "dummy"
+
+
+function kill_player()
+	orxPrint("Killing player")
+	killPawn("Player")
+end
+
+
+function kill_dummy()
+	orxPrint("Killing dummy!")
+	killPawn(id)
+end
+
+
+function kill_player_after_timeout(pawn)
+	orxPrint("Killing player after 5s")
+
+	registerAfterTimeout(kill_player, 5)
+end
+
+
+function kill_dummy_after_timeout(seconds)
+	orxPrint("Killing dummy after " .. tostring(seconds))
+	registerAfterTimeout(kill_dummy, seconds)
+end
+
+
+function move_dummy()
+	orxPrint("Moving dummy!")
+	moveControllableEntity(id, 1.0, 0.0, 0.0)
+end
+
+
+function move_dummy_after_timeout(seconds)
+	orxPrint("Moving dummy after " .. tostring(seconds))
+	registerAfterTimeout(move_dummy, seconds)
+end
+
+
+
+
+move_dummy_after_timeout(5)
+kill_dummy_after_timeout(10)
+
+
+orxPrint("Script started! OMG ROFL LOL WTF")
+mytestfunction(3.0, 4.0)
+
+
Index: code/branches/ScriptableController_FS18/data/levels/scripts/ScriptableControllerSpawn.lua
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/scripts/ScriptableControllerSpawn.lua	(revision 12006)
+++ code/branches/ScriptableController_FS18/data/levels/scripts/ScriptableControllerSpawn.lua	(revision 12006)
@@ -0,0 +1,110 @@
+
+rotate_factor = 0.0
+station_loc = 200.0
+station_speed = 0.0
+
+id = "dummy"
+
+
+function spawn_station(obj)
+	orxPrint("Spawning station")
+	setPosition("Station", 500, 0, 0)
+	setOrientation("Station", 0, -1, 0, 0)
+end
+
+
+function rotate_faster(obj1, obj2, health, shield)
+	orxPrint("Rotating station faster")
+
+	rotate_factor = rotate_factor + 0.02
+	setAngularVelocity("Station", rotate_factor, 0, 0)
+end
+
+
+function kill_player()
+	orxPrint("Killing player")
+	killPawn("Player")
+end
+
+
+function kill_player_after_timeout(pawn)
+	orxPrint("Killing player after 5s")
+
+	registerAfterTimeout(kill_player, 5)
+end
+
+
+function next_station_loc(obj1, obj2)
+	orxPrint("Moving station")
+
+	station_loc = station_loc + 500
+	setPosition("Station", station_loc, 0, 0)
+
+	station_speed = station_speed + 5
+	setVelocity("Station", -station_speed, 0, 0)
+
+	registerAtNearObject(next_station_loc, "Player", "Station", 200)
+end
+
+
+function kill_player()
+	orxPrint("Killing player")
+	killPawn("Player")
+end
+
+
+function kill_dummy()
+	orxPrint("Killing dummy!")
+	killPawn(id)
+end
+
+
+function spawn_dummy()
+	orxPrint("Spawning dummy!")
+	spawnTest("dummy")
+	move_dummy()
+end
+
+
+function kill_player_after_timeout(pawn)
+	orxPrint("Killing player after 5s")
+
+	registerAfterTimeout(kill_player, 5)
+end
+
+
+function kill_dummy_after_timeout(seconds)
+	orxPrint("Killing dummy after " .. tostring(seconds))
+	registerAfterTimeout(kill_dummy, seconds)
+end
+
+
+function move_dummy()
+	orxPrint("Moving dummy!")
+	moveControllableEntity(id, 1.0, 0.0, 0.0)
+end
+
+
+function move_dummy_after_timeout(seconds)
+	orxPrint("Moving dummy after " .. tostring(seconds))
+
+	registerAfterTimeout(move_dummy, seconds)
+end
+
+
+function spawn_dummy_after_timeout(seconds)
+	orxPrint("Spawning dummy after " .. tostring(seconds))
+	registerAfterTimeout(spawn_dummy, seconds)
+end
+
+
+
+
+orxPrint("Script started! OMG ROFL LOL WTF")
+mytestfunction(3.0, 4.0)
+
+
+spawn_dummy_after_timeout(5)
+
+
+
Index: code/branches/ScriptableController_FS18/data/levels/templates/AAAAutonomousDroneTemplate.oxt
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/templates/AAAAutonomousDroneTemplate.oxt	(revision 11999)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<Template name=AAAAutonomousDroneTemplate>
-  <AAAAutonomousDrone>
-    <attached>
-      <Model scale="10" mesh="drone.mesh"/>
-    </attached>
-    <collisionShapes>
-      <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
-    </collisionShapes>
-  </AAAAutonomousDrone>
-</Template>
Index: code/branches/ScriptableController_FS18/data/levels/templates/ScriptableControllerDroneTemplate.oxt
===================================================================
--- code/branches/ScriptableController_FS18/data/levels/templates/ScriptableControllerDroneTemplate.oxt	(revision 12006)
+++ code/branches/ScriptableController_FS18/data/levels/templates/ScriptableControllerDroneTemplate.oxt	(revision 12006)
@@ -0,0 +1,10 @@
+<Template name=ScriptableControllerDroneTemplate>
+  <ScriptableControllerDrone>
+    <attached>
+      <Model scale="10" mesh="drone.mesh"/>
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
+    </collisionShapes>
+  </ScriptableControllerDrone>
+</Template>