Index: code/branches/Hover_FS18/data/levels/Hover.oxw
===================================================================
--- code/branches/Hover_FS18/data/levels/Hover.oxw	(revision 12009)
+++ code/branches/Hover_FS18/data/levels/Hover.oxw	(revision 12010)
@@ -1,2 +1,15 @@
+<!--LevelInfo Zeilen 45-66 Waende Ebene 1
+Zeilen 69-88 Waende Ebene 2
+Zeilen 91-112 Waende Ebene 3
+Zeilen 116-119 Roehre 1
+Zeilen 121-124 Roehre 2
+Zeilen 127-128 Rampe 1
+Zeilen 130-131 Rampe 2
+133 Boden 3
+137-143 Boden 1
+145-149 Boden 2 
+Probleme noch bei Rampen und Roehren
+Gravity von spaceship ist in z Richtung darum alles um -90 grad um y-achse gedreht mit pitch-->
+
 <LevelInfo
  name = "Hover"
@@ -35,139 +48,10 @@
 
     <StaticEntity position="0,0,0" pitch="-90" collisionType="static">
-      <!-- <attached>
-        <HoverOrigin
-          numCells="<?lua print(MAZE_NUM_CELLS)?>"
-          cellSize="<?lua print(MAZE_CELL_SIZE)?>"
-          cellHeight="<?lua print(MAZE_CELL_HEIGHT)?>"
-        />
-    
-      </attached> -->
+
       <attached>
 <Model mesh="Hover.mesh" position="-1020.544,397.472,2372.286" scale="200" />
 </attached>
       <collisionShapes>
-      
-<!--
-<BoxCollisionShape position="-1020.0, 2572.286, -1122.528" halfExtents="1600.0, 200.0, 80.0" />
-<BoxCollisionShape position="500.0, 2572.286, 397.472" halfExtents="80.0, 200.0, 1600.0" />
-<BoxCollisionShape position="-2544.0, 2572.286, 397.472" halfExtents="76.0, 200.0, 1600.0" />
-<BoxCollisionShape position="-1100.0, 2572.286, 1997.472" halfExtents="1520.0, 200.0, 0.0" />
-<BoxCollisionShape position="30.0, 2572.286, 1445.472" halfExtents="43.32, 200.0, 400.0" />
-<BoxCollisionShape position="-514.0, 2572.286, 1386.472" halfExtents="500.0, 200.0, 51.0" />
-<BoxCollisionShape position="130.0, 2572.286, 1105.472" halfExtents="143.32, 200.0, 60.0" />
-<BoxCollisionShape position="-754.0, 2572.286, 790.472" halfExtents="60.0, 200.0, 255.0" />
-<BoxCollisionShape position="-1568.0, 2572.286, 1210.112" halfExtents="900.0, 200.0, 57.76" />
-<BoxCollisionShape position="-1144.0, 2572.286, 1473.872" halfExtents="475.0, 200.0, 206.0" />
-<BoxCollisionShape position="-1856.0, 2572.286, 854.352" halfExtents="68.0, 200.0, 302.0" />
-<BoxCollisionShape position="-2040.0, 2572.286, -642.528" halfExtents="71.333, 200.0, 400.0" />
-<BoxCollisionShape position="20.0, 2572.286, -547.958" halfExtents="400.0, 200.0, 61.37" />
-<BoxCollisionShape position="-320.0, 2572.286, -647.958" halfExtents="60.0, 200.0, 161.37" />
-<BoxCollisionShape position="198.0, 2572.286, -186.588" halfExtents="51.0, 200.0, 300.0" />
-<BoxCollisionShape position="20.0, 2572.286, 626.97" halfExtents="400.0, 200.0, 64.132" />
-<BoxCollisionShape position="-172.0, 2572.286, 162.838" halfExtents="48.0, 200.0, 400.0" />
-<BoxCollisionShape position="-638.0, 2572.286, -642.528" halfExtents="46.99, 200.0, 400.0" />
-<BoxCollisionShape position="-1248.0, 2572.286, 23.472" halfExtents="62.5, 200.0, 500.0" />
-<BoxCollisionShape position="-974.0, 2572.286, -69.508" halfExtents="711.881, 200.0, 533.02" />
-<BoxCollisionShape position="-1620.0, 2572.286, -139.528" halfExtents="65.625, 200.0, 463.0" />
-<BoxCollisionShape position="-1920.0, 2572.286, 263.472" halfExtents="365.625, 200.0, 60.0" />
--->
-<!--Ebene 2-->
-<!--
-<BoxCollisionShape position="2310.0, 1384.082, 873.574" halfExtents="106.4, 200.0, 2240.0" />
-<BoxCollisionShape position="176.0, 1384.082, 3001.574" halfExtents="2239.999, 200.0, 112.0" />
-<BoxCollisionShape position="-1952.0, 1384.082, 873.574" halfExtents="112.0, 200.0, 2240.0" />
-<BoxCollisionShape position="176.0, 1384.082, -1260.026" halfExtents="2239.999, 200.0, 106.4" />
-<BoxCollisionShape position="834.0, 1384.082, 474.69" halfExtents="890.0, 200.0, 150.0" />
-<BoxCollisionShape position="1634.0, 1384.082, 124.69" halfExtents="90.001, 200.0, 500.0" />
-<BoxCollisionShape position="1604.0, 1384.082, -461.228" halfExtents="599.999, 200.0, 85.918" />
-<BoxCollisionShape position="464.0, 1384.082, -955.626" halfExtents="121.295, 200.0, 198.0" />
-<BoxCollisionShape position="1504.0, 1384.082, 1183.673" halfExtents="699.999, 200.0, 89.785" />
-<BoxCollisionShape position="882.0, 1384.082, 1583.673" halfExtents="78.75, 200.0, 489.785" />
-<BoxCollisionShape position="1538.0, 1384.082, 1873.458" halfExtents="105.001, 200.0, 600.0" />
-<BoxCollisionShape position="1792.0, 1384.082, 2098.428" halfExtents="147.926, 200.0, 66.182" />
-<BoxCollisionShape position="470.0, 1384.082, 2389.574" halfExtents="59.239, 200.0, 500.0" />
-<BoxCollisionShape position="-88.0, 1384.082, 2495.674" halfExtents="500.0, 200.0, 67.344" />
-<BoxCollisionShape position="-1030.0, 1384.082, 2489.574" halfExtents="90.043, 200.0, 400.0" />
-<BoxCollisionShape position="-1040.0, 1384.082, 1161.106" halfExtents="800.0, 200.0, 90.972" />
-<BoxCollisionShape position="-320.0, 1384.082, 1561.107" halfExtents="80.0, 200.0, 490.973" />
-<BoxCollisionShape position="-1146.0, 1384.082, 770.134" halfExtents="99.0, 200.0, 300.0" />
-<BoxCollisionShape position="-1282.0, 1384.082, -548.626" halfExtents="98.25, 200.0, 605.0" />
-<BoxCollisionShape position="-584.0, 1384.082, -366.126" halfExtents="600.0, 200.0, 112.5" />
--->
-<!--Ebene 3-->
-<!--
-<BoxCollisionShape position="0.0, 200.0, 2799.765" halfExtents="2900.0, 200.0, 100.235" />
-<BoxCollisionShape position="-2814.0, 200.0, 0.0" halfExtents="85.244, 200.0, 2900.0" />
-<BoxCollisionShape position="0.0, 200.0, -2802.87" halfExtents="2900.0, 200.0, 97.13" />
-<BoxCollisionShape position="2800.0, 200.0, 0.0" halfExtents="99.593, 200.0, 2900.0" />
-<BoxCollisionShape position="2148.0, 200.0, 2099.53" halfExtents="74.974, 200.0, 600.0" />
-<BoxCollisionShape position="1636.0, 200.0, 1919.53" halfExtents="436.798, 200.0, 0.0" />
-<BoxCollisionShape position="334.0, 200.0, 2295.578" halfExtents="78.569, 200.0, 403.952" />
-<BoxCollisionShape position="-1430.0, 200.0, 1940.614" halfExtents="1300.0, 200.0, 90.414" />
-<BoxCollisionShape position="-1108.0, 200.0, 1150.2" halfExtents="146.365, 200.0, 700.0" />
-<BoxCollisionShape position="-2030.0, 200.0, 694.365" halfExtents="700.0, 200.0, 83.681" />
-<BoxCollisionShape position="-1742.0, 200.0, 945.426" halfExtents="411.891, 200.0, 334.742" />
-<BoxCollisionShape position="-2104.0, 200.0, -1505.74" halfExtents="83.16, 200.0, 1200.0" />
-<BoxCollisionShape position="2100.0, 200.0, -282.036" halfExtents="600.0, 200.0, 83.284" />
-<BoxCollisionShape position="1582.0, 200.0, 373.88" halfExtents="81.929, 200.0, 572.632" />
-<BoxCollisionShape position="1952.0, 200.0, 863.876" halfExtents="288.122, 200.0, 82.636" />
-<BoxCollisionShape position="1500.0, 200.0, -1742.441" halfExtents="1200.0, 200.0, 62.007" />
-<BoxCollisionShape position="1800.0, 200.0, -2031.497" halfExtents="73.028, 200.0, 227.049" />
-<BoxCollisionShape position="912.0, 200.0, -180.435" halfExtents="70.824, 200.0, 1499.999" />
-<BoxCollisionShape position="396.0, 200.0, 802.484" halfExtents="444.908, 200.0, 91.25" />
-<BoxCollisionShape position="-320.0, 200.0, -765.87" halfExtents="1160.473, 200.0, 57.668" />
-<BoxCollisionShape position="-786.0, 200.0, -1423.538" halfExtents="102.982, 200.0, 600.0" />
-<BoxCollisionShape position="294.0, 200.0, -296.027" halfExtents="78.744, 200.0, 412.175" />
--->
 
-<!--Roehre 1-->
-<!--
-<BoxCollisionShape position="-822.0, 1856.1, 80.15" halfExtents="120.0, 516.186, 10.0" />
-<BoxCollisionShape position="-712.0, 1856.1, 190.15" halfExtents="10.0, 516.186, 120.0" />
-<BoxCollisionShape position="-822.0, 1856.1, 300.15" halfExtents="120.0, 516.186, 10.0" />
-<BoxCollisionShape position="-932.0, 1856.1, 190.15" halfExtents="10.0, 516.186, 120.0" />
--->
-<!--Roehre 2-->
-<!--
-<BoxCollisionShape position="-1472.0, 752.929, 2300.828" halfExtents="160.0, 437.275, 10.0" />
-<BoxCollisionShape position="-1622.0, 752.929, 2450.828" halfExtents="10.001, 437.275, 160.0" />
-<BoxCollisionShape position="-1472.0, 752.929, 2600.828" halfExtents="160.0, 437.275, 10.0" />
-<BoxCollisionShape position="-1322.0, 752.929, 2450.828" halfExtents="10.0, 437.275, 160.0" />
--->
-<!--Rampe 1-->
-<!--
-<BoxCollisionShape position="-402.0, 1220.598, 603.512" halfExtents="140.0, 20.0, 140.0" />
-<BoxCollisionShape position="-402.0, 564.133, -836.488" halfExtents="140.0, 676.465, 1300.0" />
--->
-<!--Rampe 2-->
-<!--
-<BoxCollisionShape position="1080.0, 1792.286, -802.528" halfExtents="799.999, 620.0, 100.0" />
-<BoxCollisionShape position="180.0, 2392.286, -802.528" halfExtents="100.0, 20.0, 100.0" />
--->
-
-<!--Boden 2-->
-<!--
-<BoxCollisionShape position="542.0, 1189.103, 612.201" halfExtents="1874.539, 1.101, 1978.6269999999997" />
-<BoxCollisionShape position="401.99999999999994, 1189.103, 2852.201" halfExtents="2014.538, 1.101, 261.373" />
-<BoxCollisionShape position="-1838.0, 1189.103, 873.574" halfExtents="225.461, 1.101, 2240.0" />
-<BoxCollisionShape position="462.0, 1189.103, 1527.1699999999998" halfExtents="2074.538, 1.101, 783.658" />
-<BoxCollisionShape position="1078.0, 1189.103, -311.457" halfExtents="1338.902, 1.101, 1054.969" />
-<BoxCollisionShape position="-798.0, 1189.103, -648.1379999999999" halfExtents="535.6370000000001, 1.101, 718.288" />
-<BoxCollisionShape position="-938.0000000000001, 1189.103, 406.831" halfExtents="395.637, 1.101, 336.681" />
--->
-<!--Boden 1-->
-<!--
-<BoxCollisionShape position="-1019.9999999999999, 2372.185, -1052.53" halfExtents="1600.0, 0.101, 149.99800000000002" />
-<BoxCollisionShape position="-1270.0, 2372.185, -802.528" halfExtents="1350.0, 0.101, 100.0" />
-<BoxCollisionShape position="-72.0, 2372.185, 647.472" halfExtents="650.7850000000001, 0.101, 1350.0" />
-<BoxCollisionShape position="-1772.0, 2372.185, 647.472" halfExtents="849.215, 0.101, 1350.0" />
-<BoxCollisionShape position="-822.0000000000001, 2372.185, -306.189" halfExtents="100.0, 0.101, 396.339" />
-<BoxCollisionShape position="-822.0000000000001, 2372.185, 1143.811" halfExtents="100.0, 0.101, 853.661" />
--->
-
-<!--Boden 3-->
-<!--
-<BoxCollisionShape position="0.0, -8.899, 0.0" halfExtents="2900.0, 1.101, 2900.0" />
--->
 <BoxCollisionShape position="-1019.9999999999999, -1122.528, 2572.286" halfExtents="1600.0, 80.0, 200.0" />
 <BoxCollisionShape position="500.0, 397.472, 2572.286" halfExtents="80.0, 1600.0, 200.0" />
@@ -192,4 +76,5 @@
 <BoxCollisionShape position="-1620.0, -139.52800000000002, 2572.286" halfExtents="65.625, 463.0, 200.0" />
 <BoxCollisionShape position="-1920.0, 263.47200000000004, 2572.286" halfExtents="365.625, 60.0, 200.0" />
+
 <BoxCollisionShape position="2310.0, 873.574, 1384.082" halfExtents="106.4, 2240.0, 200.0" />
 <BoxCollisionShape position="176.0, 3001.574, 1384.082" halfExtents="2239.999, 112.00000000000001, 200.0" />
@@ -212,4 +97,5 @@
 <BoxCollisionShape position="-1282.0, -548.626, 1384.082" halfExtents="98.25, 605.0, 200.0" />
 <BoxCollisionShape position="-584.0, -366.126, 1384.082" halfExtents="600.0, 112.5, 200.0" />
+
 <BoxCollisionShape position="0.0, 2799.765, 200.0" halfExtents="2900.0, 100.23500000000001, 200.0" />
 <BoxCollisionShape position="-2814.0, 0.0, 200.0" halfExtents="85.244, 2900.0, 200.0" />
@@ -234,29 +120,38 @@
 <BoxCollisionShape position="-786.0, -1423.538, 200.0" halfExtents="102.982, 600.0, 200.0" />
 <BoxCollisionShape position="294.0, -296.027, 200.0" halfExtents="78.744, 412.17499999999995, 200.0" />
+
 <BoxCollisionShape position="-822.0000000000001, 80.15, 1856.1" halfExtents="120.0, 10.0, 516.186" />
 <BoxCollisionShape position="-712.0, 190.15, 1856.1" halfExtents="10.0, 120.0, 516.186" />
 <BoxCollisionShape position="-822.0000000000001, 300.15, 1856.1" halfExtents="120.0, 10.0, 516.186" />
 <BoxCollisionShape position="-932.0, 190.15, 1856.1" halfExtents="10.0, 120.0, 516.186" />
+
 <BoxCollisionShape position="-1472.0, 2300.828, 752.929" halfExtents="160.0, 10.0, 437.275" />
 <BoxCollisionShape position="-1622.0, 2450.828, 752.929" halfExtents="10.001, 160.0, 437.275" />
 <BoxCollisionShape position="-1472.0, 2600.828, 752.929" halfExtents="160.0, 10.0, 437.275" />
 <BoxCollisionShape position="-1322.0, 2450.828, 752.929" halfExtents="10.0, 160.0, 437.275" />
+
 <BoxCollisionShape position="-401.99999999999994, 603.5120000000001, 1220.598" halfExtents="140.0, 140.0, 20.0" />
 <BoxCollisionShape position="-401.99999999999994, -836.4879999999999, 564.133" halfExtents="140.0, 1300.0, 676.4649999999999" />
+
 <BoxCollisionShape position="1080.0, -802.528, 1792.286" halfExtents="799.999, 100.0, 620.0" />
 <BoxCollisionShape position="180.0, -802.528, 2392.286" halfExtents="100.0, 100.0, 20.0" />
-<BoxCollisionShape position="0.0, 0.0, -10.0" halfExtents="2900.0, 2900.0, 10.0" />
-<BoxCollisionShape position="-822.0000000000001, 190.15, 2372.286" halfExtents="100.0, 100.0, 0.0" />
-<BoxCollisionShape position="-1472.0, 2450.828, 1190.204" halfExtents="139.999, 140.0, 0.0" />
-<BoxCollisionShape position="-1019.9999999999999, -1052.53, 2372.286" halfExtents="1600.0, 149.99800000000002, 0.0" />
-<BoxCollisionShape position="-1270.0, -802.528, 2372.286" halfExtents="1350.0, 100.0, 0.0" />
-<BoxCollisionShape position="-72.0, 647.472, 2372.286" halfExtents="650.7850000000001, 1350.0, 0.0" />
-<BoxCollisionShape position="-1772.0, 647.472, 2372.286" halfExtents="849.215, 1350.0, 0.0" />
-<BoxCollisionShape position="-822.0000000000001, -306.189, 2372.286" halfExtents="100.0, 396.339, 0.0" />
-<BoxCollisionShape position="-822.0000000000001, 1143.811, 2372.286" halfExtents="100.0, 853.661, 0.0" />
-<BoxCollisionShape position="542.0, 612.201, 1190.204" halfExtents="1874.539, 1978.6269999999997, 0.0" />
-<BoxCollisionShape position="401.99999999999994, 2852.201, 1190.204" halfExtents="2014.538, 261.373, 0.0" />
-<BoxCollisionShape position="-1838.0, 873.574, 1190.204" halfExtents="225.461, 2240.0, 0.0" />
-<BoxCollisionShape position="462.0, 1527.1699999999998, 1190.204" halfExtents="2074.538, 783.658, 0.0" />
+
+<BoxCollisionShape position="0.0, 0.0, -9" halfExtents="2900.0, 2900.0, 1" />
+
+
+
+<BoxCollisionShape position="-822.0000000000001, 190.15, 2372.285" halfExtents="100.0, 100.0, 0.001" />
+<BoxCollisionShape position="-1019.9999999999999, -1052.53, 2372.285" halfExtents="1600.0, 149.99800000000002, 0.001" />
+<BoxCollisionShape position="-1270.0, -802.528, 2372.285" halfExtents="1350.0, 100.0, 0.001" />
+<BoxCollisionShape position="-72.0, 647.472, 2372.285" halfExtents="650.7850000000001, 1350.0, 0.001" />
+<BoxCollisionShape position="-1772.0, 647.472, 2372.285" halfExtents="849.215, 1350.0, 0.001" />
+<BoxCollisionShape position="-822.0000000000001, -306.189, 2372.285" halfExtents="100.0, 396.339, 0.001" />
+<BoxCollisionShape position="-822.0000000000001, 1143.811, 2372.285" halfExtents="100.0, 853.661, 0.001" />
+
+<BoxCollisionShape position="-1472.0, 2450.828, 1190.203" halfExtents="139.999, 140.0, 0.001" />
+<BoxCollisionShape position="542.0, 612.201, 1190.203" halfExtents="1874.539, 1978.6269999999997, 0.001" />
+<BoxCollisionShape position="401.99999999999994, 2852.201, 1190.203" halfExtents="2014.538, 261.373, 0.001" />
+<BoxCollisionShape position="-1838.0, 873.574, 1190.203" halfExtents="225.461, 2240.0, 0.001" />
+<BoxCollisionShape position="462.0, 1527.1699999999998, 1190.203" halfExtents="2074.538, 783.658, 0.001" />
 
 
@@ -287,5 +182,5 @@
     <SpawnPoint
       team=0
-      position="-600,2600,-200"
+      position="-600,1300,-200"
       lookat="-100,0,-1000"
       spawnclass=HoverShip