Index: code/branches/PresentationFS18/src/modules/superorxobros/CMakeLists.txt
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/CMakeLists.txt	(revision 12012)
+++ code/branches/PresentationFS18/src/modules/superorxobros/CMakeLists.txt	(revision 12017)
@@ -3,4 +3,5 @@
   SOBCenterpoint.cc
   SOB.cc
+  SOBTube.cc
   SOBFigure.cc
   SOBItem.cc
@@ -14,4 +15,5 @@
   SOBCoin.cc
   SOBGumbaBoss.cc
+  
 
 )
Index: code/branches/PresentationFS18/src/modules/superorxobros/SOB.cc
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/SOB.cc	(revision 12012)
+++ code/branches/PresentationFS18/src/modules/superorxobros/SOB.cc	(revision 12017)
@@ -149,5 +149,5 @@
         //If player has reached end of level
         if (this->figure_ != nullptr && figure_->lvlEnded_) {
-            std::stringstream a;
+            std::stringstream a;setLvl(2);
             if(!newHighscore){
                 a << "Nice! " << getPoints() << " Points in " << (400-getTimeLeft())/2 <<"s.\n\nPress <Space> to restart";
Index: code/branches/PresentationFS18/src/modules/superorxobros/SOBFigure.cc
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/SOBFigure.cc	(revision 12012)
+++ code/branches/PresentationFS18/src/modules/superorxobros/SOBFigure.cc	(revision 12017)
@@ -43,4 +43,5 @@
 #include <OgreMath.h>
 
+#include "SOBTube.h"
 #include "SOBMushroom.h"
 #include "SOBGumba.h"
@@ -50,5 +51,4 @@
 #include "SOBFlagstone.h"
 #include "SOBCastlestone.h"
-#include "SOBFireball.h"
 #include "Highscore.h"
 #include <BulletCollision/NarrowPhaseCollision/btManifoldPoint.h>
@@ -72,5 +72,11 @@
         firePressed_        = false;
         collDisZ_           = 0;
-
+        tube                = NULL;
+
+        //Variables for Action in Tube
+        tcol_               = false;
+        tubing              = false; 
+        kkk                 = 0;
+       
         //Times and turning
         timeSinceLastFire_  = 0.0;
@@ -89,5 +95,7 @@
         reachedLvlEndState_ = 0;
 
+        positiontube_=10000;
         // Properties concerning PowerUps and items
+        
         PowerUpCounter_     = 0;
         maxPowerUp_         = 2;
@@ -112,5 +120,8 @@
 
         //Orxocast returns object with casted type if otherObject has that class, and if not a nullptr
+        //SOBTube* test;
+       
         SOBMushroom*    mush        = orxonox_cast<SOBMushroom*>    (otherObject);
+        tube                        = orxonox_cast<SOBTube*>        (otherObject);
         SOBGumba*       gumba       = orxonox_cast<SOBGumba*>       (otherObject);
         SOBGumbaBoss*   gumbaBoss   = orxonox_cast<SOBGumbaBoss*>   (otherObject);
@@ -121,4 +132,5 @@
 
 
+
         //Check if otherObject is a powerup-mushroom
         if (mush != nullptr && !(mush->hasCollided_)) {
@@ -133,11 +145,11 @@
             
             
-        }
-
-        
-
-        //Check if otherObject is a Gumba (that walking enemies)
-
-         else if (gumba != nullptr && gumbaBoss == nullptr && !(gumba->hasCollided_)) {
+        }else if(tube != nullptr && !(tube->hasCollided_)){ //Check if other Object is a tube and set position wher tube is in positiontube_
+            tube->hasCollided_=true;positiontube_=getPosition().x;tcol_=true; //tcol_ used for movedown function in SOBfigure.cc
+                
+
+
+        }else if (gumba != nullptr && gumbaBoss == nullptr && !(gumba->hasCollided_)) {
+            //Check if otherObject is a Gumba (that walking enemies)
 
             //If player jumps on its head, kill the Gumba, else, kill the player
@@ -209,5 +221,7 @@
     return 1;
 }
-
+/*bool SOBFigure::tubeAction(){
+return true;
+}*/
 //Function to spawn the Fireball
 void SOBFigure::spawnFireball() {
@@ -240,8 +254,8 @@
 {
     SUPER(SOBFigure, tick, dt);
-
+    
 
     bool inputAllowed = true;
-    //SOB* SOBGame = orxonox_cast<SOB*>(getGametype());
+   
 
     //the particle spawner that generates the fire from the backpack when pressed
@@ -291,5 +305,5 @@
             velocity.y = 0;
         //If player falls in a hole
-        if (position.z < -100) {
+        if (position.z < -180) {
             dead_ = true;
             SOBGame->setDone(true);
@@ -355,9 +369,39 @@
 
         //If moveUp pressed, fire a fireball
-        if(moveUpPressed_ && (PowerUpCounter_ >= FireballPower) && fireallowed_)
+        if(moveUpPressed_ && inputAllowed) //if pressed up jump through tube if you are underground
         {
+            Vector3 position1 = getPosition();
+
+              
+                
+                
+                if(position1.z>=-100 && position1.z<=-40){
+                    position1.z=40;
+                    if(460<=position1.x && position1.x<480){setPosition(position1);}  //little hack works without this but first tube must be touched     //position where second tube is
+                    if(positiontube_-10<=position1.x && position1.x<positiontube_+10){      //function for jumping through any SOBtube`s
+                    setPosition(position1);}}
+
+
+            if((PowerUpCounter_ >= FireballPower) && fireallowed_){
             spawnFireball();
+
             fireallowed_  = false;
-            firecooldown_ = 0;
+            firecooldown_ = 0;}
+        }
+        
+         if(moveDownPressed_ && inputAllowed ){ //if movedownpressed change collisiontype of tube and slip through tube
+                
+              
+                Vector3 position1 = getPosition();
+              
+
+               
+            
+               if(tube != nullptr && !(tube->movedown)){ //Check if other Object is a tube
+               
+                if(positiontube_-10<position1.x && position1.x<positiontube_+10){
+                tube->movedown=true;}
+                }
+   
         }
 
@@ -419,4 +463,5 @@
     moveLeftPressed_    = false;
     moveRightPressed_   = false;
+    
 
     isColliding_ = false;
Index: code/branches/PresentationFS18/src/modules/superorxobros/SOBFigure.h
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/SOBFigure.h	(revision 12012)
+++ code/branches/PresentationFS18/src/modules/superorxobros/SOBFigure.h	(revision 12017)
@@ -32,4 +32,5 @@
 #include "superorxobros/SOBPrereqs.h"
 #include "worldentities/ControllableEntity.h"
+#include "SOBTube.h"
 
 
@@ -58,6 +59,10 @@
             //Soooo many declarations
             bool fireallowed_;
-
-            bool moveUpPressed_;
+            SOBTube*       tube; //class SOBTube* used because tube needs to be global using in collides against function and tick function in SOBfigure.cc
+            bool moveUpPressed_; 
+            int kkk;
+           
+            bool tcol_;  //used for getting through tube
+            bool tubing; //used for getting through tube 
             bool moveDownPressed_;
             bool moveLeftPressed_;
@@ -68,4 +73,5 @@
             float lastSpeed_z;
             float firecooldown_;
+            float positiontube_;
             bool isColliding_;
             WorldEntity* particlespawner_;
Index: code/branches/PresentationFS18/src/modules/superorxobros/SOBGumba.cc
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/SOBGumba.cc	(revision 12012)
+++ code/branches/PresentationFS18/src/modules/superorxobros/SOBGumba.cc	(revision 12017)
@@ -106,5 +106,5 @@
     {
         SUPER(SOBGumba, tick, dt);
-
+       
         if (!changeAllowed_) {
             changedOn_+= dt;
Index: code/branches/PresentationFS18/src/modules/superorxobros/SOBItem.h
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/SOBItem.h	(revision 12012)
+++ code/branches/PresentationFS18/src/modules/superorxobros/SOBItem.h	(revision 12017)
@@ -49,5 +49,4 @@
             virtual void setFigure(SOBFigure* newFigure);
             virtual  bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
-
           
             bool attachedToFigure_;
Index: code/branches/PresentationFS18/src/modules/superorxobros/SOBPrereqs.h
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/SOBPrereqs.h	(revision 12012)
+++ code/branches/PresentationFS18/src/modules/superorxobros/SOBPrereqs.h	(revision 12017)
@@ -80,4 +80,5 @@
     class SOBCastlestone;
     class SOBCoin;
+    class SOBTube;
 
 }
Index: code/branches/PresentationFS18/src/modules/superorxobros/SOBTube.cc
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/SOBTube.cc	(revision 12017)
+++ code/branches/PresentationFS18/src/modules/superorxobros/SOBTube.cc	(revision 12017)
@@ -0,0 +1,121 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Julien
+ *   Co-authors:
+ *      
+ *
+ */
+
+/**
+    @file SOBTube.cc
+     @brief Declaration of the SOBTube class. 
+            This class is used for the tubes in the game. It adds the function that the figure can slip through Tube.
+*/
+
+#include "SOBTube.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "SOBFigure.h"
+#include "util/Output.h"
+#include "objects/collisionshapes/BoxCollisionShape.h"
+
+
+namespace orxonox
+{
+    RegisterClass(SOBTube);
+
+    SOBTube::SOBTube(Context* context) : MovableEntity(context)
+    {
+        RegisterObject(SOBTube);
+        setAngularFactor(0.0);
+        this->enableCollisionCallback();
+        k=0;u=0;                        //initializing variables for tick function
+        a=CollisionType::None;          //initializing Collisiontypes for tick function
+        b=CollisionType::Dynamic;       //initializing Collisiontypes for tick function
+        movedown=false;                 //initializing variable movedown (movedown is used for allowing figure to get through tube)
+        hasCollided_=false;             //initializing variable
+        
+        left = new BoxCollisionShape(context);  //BoxCollisionshape initialized for tube (here in Programm not in SOB.oxw as others)
+        left->setHalfExtents(Vector3(10, 10, 30));// set CollisionShape
+        attachCollisionShape(left);             //attach CollisionShape
+        
+         
+       
+    }
+    
+
+    
+
+    void SOBTube::XMLPort(Element& xmlelement, XMLPort::Mode mode) //set parameters for SOB.oxw file
+    {
+        SUPER(SOBTube, XMLPort, xmlelement, mode);
+        XMLPortParam(SOBTube,"cool",getcool,setcool,xmlelement,mode); 
+        
+
+
+    }
+
+    
+    bool SOBTube::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) {
+          
+          
+         
+
+        return true;
+    }
+
+     void SOBTube::tick(float dt)
+    {
+        SUPER(SOBTube, tick, dt);
+        Vector3 velocity = getVelocity(); //velocity of tube
+        Vector3 position = getPosition(); //position of tube
+        position.y=0;                     //position in y axes must be 0 
+
+        setPosition(position);     //set new position of tube
+        velocity.z = 0*dt;         //velocity in all directions must be 0 or else tube is moving 
+        velocity.y = 0*dt;
+        velocity.x = 0*dt;
+        setVelocity(velocity);     //set new velocity
+       
+        
+
+        
+           
+        if(movedown && k==0){                       //if movedown is allowed change Collisiontype from dynamic to None
+            CollisionType a = CollisionType::None;
+            this->setCollisionType(a);                   
+
+         
+            k++;
+        }
+       if(k!=0){u++;}
+
+        if(u>=50){
+            this->setCollisionType(b);k=0;u=0;movedown=false; //set Collisiontype from None to dynamic
+        }
+    }
+    
+
+    
+}
Index: code/branches/PresentationFS18/src/modules/superorxobros/SOBTube.h
===================================================================
--- code/branches/PresentationFS18/src/modules/superorxobros/SOBTube.h	(revision 12017)
+++ code/branches/PresentationFS18/src/modules/superorxobros/SOBTube.h	(revision 12017)
@@ -0,0 +1,77 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Julien Kindle
+ *   Co-authors:
+ *      
+ *
+ */
+
+/**
+    @file SOBTube.h
+    @brief Declaration of the SOBTube class. 
+            This class is used for the tubes in the game. It adds the function that the figure can slip through Tubes.
+*/
+
+#ifndef _SOBTube_H__
+#define _SOBTube_H__
+
+
+#include "superorxobros/SOBPrereqs.h"
+#include "worldentities/MovableEntity.h"         //includes MovableEntity from WorldEntity important because Superclass is MovableEntity 
+#include "objects/collisionshapes/BoxCollisionShape.h"
+
+namespace orxonox
+{
+    class _SOBExport SOBTube : public MovableEntity
+    {
+        public:
+            SOBTube(Context* context);
+           
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual  bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
+            virtual void tick(float dt) override;       //tick function override for removing collisionshape and adding them
+
+            void setcool(const bool cool)  //here you could add additional information about tube
+                { this->cool_ = cool; }
+            bool getcool() const
+                { return cool_; }
+           
+           
+            BoxCollisionShape* left;        //Collision shape for removing collisionshape of the tube
+            
+            CollisionType a;    //different Type of collision (none, dynamic for tubes)
+            CollisionType b;
+            float u;            //helping variables
+            int k;
+            int Height;
+            int Right;
+            int Left;
+            bool movedown;      //says if it is allowed to move through tube
+            bool hasCollided_;  //says if figure has Collided with tube ones
+        protected:
+            bool cool_;
+    };
+}
+
+#endif /* _SOBTube_H__ */