Index: code/branches/PresentationFS18/src/modules/hover/CMakeLists.txt
===================================================================
--- code/branches/PresentationFS18/src/modules/hover/CMakeLists.txt	(revision 12018)
+++ code/branches/PresentationFS18/src/modules/hover/CMakeLists.txt	(revision 12019)
@@ -2,10 +2,8 @@
   Hover.cc
   HoverShip.cc
-  HoverWall.cc
   HoverOrigin.cc
   HoverFlag.cc
   TimeHUD.cc
   FlagHUD.cc
-  MazeGenerator.cc
 )
 
Index: code/branches/PresentationFS18/src/modules/hover/Hover.cc
===================================================================
--- code/branches/PresentationFS18/src/modules/hover/Hover.cc	(revision 12018)
+++ code/branches/PresentationFS18/src/modules/hover/Hover.cc	(revision 12019)
@@ -35,7 +35,5 @@
 
 #include "HoverOrigin.h"
-#include "HoverWall.h"
 #include "HoverFlag.h"
-#include "MazeGenerator.h"
 #include "core/CoreIncludes.h"
 
@@ -59,57 +57,4 @@
         SUPER(Hover, tick, dt);
 
-        if(this->firstTick_ && this->origin_)
-        {
-            this->firstTick_ = false;
-
-            int numCells = this->origin_->getNumCells();
-            int cellSize = this->origin_->getCellSize();
-            int cellHeight = this->origin_->getCellHeight();
-
-            MazeGenerator generator(numCells);
-            generator.generateMaze();
-            generator.renderMaze();
-
-            int* levelcode = generator.getLevelcode();
-
-            //Outer Walls
-            for(int i = 0; i<numCells; i++){
-                (new HoverWall(origin_->getContext()))->init(0,        i+1,      cellSize, cellHeight, 1);
-                (new HoverWall(origin_->getContext()))->init(numCells, i+1,      cellSize, cellHeight, 1);
-                (new HoverWall(origin_->getContext()))->init(i+1,      0,        cellSize, cellHeight, 2);
-                (new HoverWall(origin_->getContext()))->init(i+1,      numCells, cellSize, cellHeight, 2);
-            }
-
-            //Generate inner Walls according to levelcode
-            for(int y=0; y<numCells; y++){
-                for(int x=0; x<numCells; x++){
-                    switch(levelcode[ y * numCells + x ]){
-                        case 1: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
-                                break;
-                        case 3: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 1);
-                        case 2: (new HoverWall(origin_->getContext()))->init(x+1, numCells-y, cellSize, cellHeight, 0);
-                        default: break;
-                    }
-                }   
-            }
-
-            //Generate 5 flags randomly
-            for ( int i = 0; i < 5; i++ )
-            {
-                HoverFlag* flag = new HoverFlag(origin_->getContext());
-                flag->init(rand()%numCells, rand()%numCells, cellSize);
-                flags_.push_back(flag);
-            }
-
-        }//firsttick end
-
-        // Check if ship collided with one of the flags
-        for ( unsigned int i = 0; i < flags_.size(); i++ ){
-            if(flags_[i]->getCollided()){
-                flags_[i]->destroyLater();
-                flags_.erase (flags_.begin()+i);
-            }
-        }
-        numberOfFlags_ = flags_.size();
     }
 }
Index: code/branches/PresentationFS18/src/modules/hover/HoverWall.cc
===================================================================
--- code/branches/PresentationFS18/src/modules/hover/HoverWall.cc	(revision 12018)
+++ 	(revision )
@@ -1,116 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Manuel Meier
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file HoverWall.cc
-    @brief Represents one Wall piece in the Hover Game
-*/
-
-#include "HoverWall.h"
-
-#include "core/CoreIncludes.h"
-#include "graphics/Model.h"
-#include "objects/collisionshapes/BoxCollisionShape.h"
-
-namespace orxonox
-{
-    RegisterClass(HoverWall);
-
-    HoverWall::HoverWall(Context* context) : StaticEntity(context)
-    {
-        RegisterObject(HoverWall);
-
-        this->model_ = nullptr;
-        this->cs_ = nullptr;
-
-        this->enableCollisionCallback();
-        this->setCollisionResponse(true);
-        this->setCollisionType(CollisionType::Static);
-    }
-
-    /**
-    @brief
-        Destructor.
-    */
-    HoverWall::~HoverWall()
-    {
-        if (this->isInitialized())
-        {
-            if (this->model_)
-                this->model_->destroy();
-            if (this->cs_)
-                this->cs_->destroy();
-        }
-    }
-
-    /**
-    @brief
-        Initializes a HoverWall
-    @param x
-        x-Coordinate of the Square that the Wall is attached to, 0-9, Origin is Bottom left
-    @param y
-        y-Coordinate of the Square that the Wall is attached to, 0-9, Origin is Bottom left
-    @param cellSize
-        The size of a cell
-    @param cellHeight
-        The height of a cell
-    @param orientation
-            Wall on the right side (1) or on top (2) of this square, 0-1        
-    */
-    void HoverWall::init(int x, int y, int cellSize, int cellHeight, int orientation)
-    {
-        int xSize_, zSize_, xPos_, zPos_;
-
-        if(orientation == 1){
-            xSize_ = cellSize/2;
-            zSize_ = 2;
-            zPos_ = x*cellSize;
-            xPos_ = y*cellSize-cellSize/2;
-        }
-        else{
-            xSize_ = 2;
-            zSize_ = cellSize/2;
-            zPos_ = x*cellSize-cellSize/2;
-            xPos_ = y*cellSize;
-        }
-
-
-        model_ = new Model(this->getContext());
-        model_->setMeshSource("CuboidBody.mesh");
-        model_->setScale3D(Vector3(xSize_*1.0f, cellHeight*1.0f, zSize_*1.0f));
-        model_->setPosition(Vector3(xPos_*1.0f, 0.0f, zPos_*1.0f));
-
-        this->attach(model_);
-
-        cs_ = new BoxCollisionShape(this->getContext());
-        cs_->setHalfExtents(Vector3(xSize_*1.0f, cellHeight*1.0f, zSize_*1.0f));
-        cs_->setPosition(Vector3(xPos_*1.0f, 0.0f, zPos_*1.0f));
-
-        this->attachCollisionShape(cs_);
-    }
-}
Index: code/branches/PresentationFS18/src/modules/hover/HoverWall.h
===================================================================
--- code/branches/PresentationFS18/src/modules/hover/HoverWall.h	(revision 12018)
+++ 	(revision )
@@ -1,59 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Manuel Meier
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file HoverWall.h
-    @brief See .cc-file for further information
-    @ingroup Hover
-*/
-
-#ifndef _HoverWall_H__
-#define _HoverWall_H__
-
-#include "HoverPrereqs.h"
-#include "objects/ObjectsPrereqs.h"
-
-#include "worldentities/StaticEntity.h"
-
-namespace orxonox
-{
-    class _HoverExport HoverWall : public StaticEntity
-    {
-        public:
-            HoverWall(Context* context);
-            virtual ~HoverWall();
-
-            void init(int x, int y, int cellSize, int cellHeight, int orientation);
-
-        private:
-            Model* model_;
-            BoxCollisionShape* cs_;
-    };
-}
-
-#endif /* _HoverWall_H__ */
Index: code/branches/PresentationFS18/src/modules/hover/MazeGenerator.cc
===================================================================
--- code/branches/PresentationFS18/src/modules/hover/MazeGenerator.cc	(revision 12018)
+++ 	(revision )
@@ -1,255 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Manuel Meier
- *   Co-authors:
- *      Cyrill Burgener
- *
- *   Based on random-maze-generator by Sergey Kosarevsky, 2014
- *   https://github.com/corporateshark/random-maze-generator
- *
- */
-
-/**
-    @file MazeGenerator.cc
-    @brief Implementation of the MazeGenerator class. Generates the maze.
-*/
-
-#include "MazeGenerator.h"
-
-#include <vector>
-
-#include "util/Output.h"
-#include "util/Math.h"
-
-namespace orxonox
-{
-    MazeGenerator::MazeGenerator(int numCells)
-    {
-        this->numCells_ = numCells;
-
-        //levelcode_ represents the pitch: It's a 10x10 field.
-        // 1 represents a Wall on the right side of this square
-        // 2 represents a Wall on the top of this square
-        // 3 represents 2 and 1 at the same time
-        // Note: the levelcode_ is generated from the Maze-Generator functions at the beginning of the game
-        this->levelcode_ = new int[ numCells_*numCells_ ];;
-        std::fill( levelcode_, levelcode_ + numCells_*numCells_, 0 );
-
-        this->maze_ = new unsigned char[ numCells_*numCells_ ];
-        std::fill( maze_, maze_ + numCells_*numCells_, 0 );
-
-        // current traversing position
-        this->ptX_ = 0;
-        this->ptY_ = 0;
-
-        //                  0  1  2  3  4  5  6  7  8
-        //                     U  R     D           L
-        int headingX[9] = { 0, 0,+1, 0, 0, 0, 0, 0,-1 };
-        int headingY[9] = { 0,-1, 0, 0,+1, 0, 0, 0, 0 };
-        int mask[9]     = {
-                              0,
-                              eDirection_Down | eDirection_Down << 4,
-                              eDirection_Left | eDirection_Left << 4,
-                              0,
-                              eDirection_Up | eDirection_Up << 4,
-                              0,
-                              0,
-                              0,
-                              eDirection_Right | eDirection_Right << 4
-                          };
-
-        std::copy(headingX, headingX + 9, this->headingX_);
-        std::copy(headingY, headingY + 9, this->headingY_);
-        std::copy(mask,     mask + 9,     this->mask_);
-    }
-
-    MazeGenerator::~MazeGenerator()
-    {
-        delete[] this->levelcode_;
-        delete[] this->maze_;
-    }
-
-    /**
-    @brief
-        Checks if Direction is valid (for Maze-Generator)
-    */
-    bool MazeGenerator::isDirValid( eDirection Dir )
-    {
-        int NewX = ptX_ + headingX_[ Dir ];
-        int NewY = ptY_ + headingY_[ Dir ];
-
-        if ( !Dir || NewX < 0 || NewY < 0 || NewX >= numCells_ || NewY >= numCells_ ) return false;
-
-        return !maze_[ NewX + numCells_ * NewY ];
-    }
-
-    /**
-    @brief
-        Generates new Direction (for Maze-Generator)
-    */
-    eDirection MazeGenerator::getDirection()
-    {
-        eDirection Dir = eDirection( 1 << randomInt4() );
-
-        while ( true )
-        {
-            for ( int x = 0; x < 4; x++ )
-            {
-                if ( isDirValid( Dir ) ) { return eDirection( Dir ); }
-
-                Dir = eDirection( Dir << 1 );
-
-                if ( Dir > eDirection_Left ) { Dir = eDirection_Up; }
-            }
-
-            Dir = eDirection( ( maze_[ cellIdx() ] & 0xf0 ) >> 4 );
-
-            // nowhere to go
-            if ( !Dir ) return eDirection_Invalid;
-
-            ptX_ += headingX_[ Dir ];
-            ptY_ += headingY_[ Dir ];
-
-            Dir = eDirection( 1 << randomInt4() );
-        }
-    }
-
-    /**
-    @brief
-        Generates a Maze (for Maze-Generator)
-    */
-    void MazeGenerator::generateMaze()
-    {
-
-        for ( eDirection Dir = getDirection(); Dir != eDirection_Invalid; Dir = getDirection() )
-        {
-            maze_[ cellIdx() ] |= Dir;
-
-            ptX_ += headingX_[ Dir ];
-            ptY_ += headingY_[ Dir ];
-
-            maze_[ cellIdx() ] = mask_[ Dir ];
-        }
-    }  
-    
-    /**
-    @brief
-        Print Maze (for Debugging only)
-    */
-    void MazeGenerator::mazeOut(){
-        for ( int y = 0; y < numCells_; y++ )
-        {
-            for ( int x = 0; x < numCells_; x++ )
-            {
-                char v = maze_[ y * numCells_ + x ];
-                orxout()<<"[";
-                if ( ( v & eDirection_Up    ) ) orxout()<<"U";
-                else orxout()<<" ";
-                if ( ( v & eDirection_Right ) ) orxout()<<"R";
-                else orxout()<<" ";
-                if ( ( v & eDirection_Down  ) ) orxout()<<" ";
-                else orxout()<<" ";
-                if ( ( v & eDirection_Left  ) ) orxout()<<" ";
-                else orxout()<<" ";
-                orxout()<<"]";
-            }
-            orxout()<<endl;
-        }
-
-    }
-
-    /**
-    @brief
-        Print levelcode_ (for Debugging only)
-    */
-    void MazeGenerator::levelOut(){
-        for ( int y = 0; y < numCells_; y++ )
-        {
-            for ( int x = 0; x < numCells_; x++ )
-            {
-                orxout()<<"[";
-                if ( levelcode_[ y * numCells_ + x ] < 2) orxout()<<"U";
-                else orxout()<<" ";
-                if ( levelcode_[ y * numCells_ + x ] % 2 == 0) orxout()<<"R";
-                else orxout()<<" ";
-
-                orxout()<<" ";
-                orxout()<<" ";
-                orxout()<<"]";
-            }
-            orxout()<<endl;
-        }
-    }
-
-    /**
-    @brief
-        Generate levelcode_ from Maze
-    */
-    void MazeGenerator::renderMaze()
-    {
-        for ( int y = 0; y < numCells_; y++ )
-        {
-            for ( int x = 0; x < numCells_; x++ )
-            {
-                char v = maze_[ y * numCells_ + x ];
-
-                if ( !( v & eDirection_Up    ) && y >0) levelcode_[ y * numCells_ + x ] |= 2;
-                if ( !( v & eDirection_Right ) && x <(numCells_-1)) levelcode_[ y * numCells_ + x ] |= 1;
-            }
-        }
-
-        // leave an empty space in the middle of the maze
-        int lowerBound = numCells_ / 2 - 2;
-        int upperBound = numCells_ / 2 + 2;
-        for ( int y = lowerBound; y < upperBound; y++ )
-        {
-            for ( int x = lowerBound; x < upperBound; x++ )
-            {
-
-                if(y == lowerBound && x != upperBound)
-                    levelcode_[ y * numCells_ + x ] &= 2;
-                else if (x == upperBound && y != lowerBound)
-                    levelcode_[ y * numCells_ + x ] &= 1;
-                else if(x != upperBound)
-                    levelcode_[ y * numCells_ + x ] = 0;
-            }
-        }
-
-    }
-
-    // return the current index in maze_
-    int MazeGenerator::cellIdx()
-    {
-        return ptX_ + numCells_ * ptY_;
-    }
-
-    int MazeGenerator::randomInt()
-    {
-        return (rand() % numCells_);
-    }
-
-    int MazeGenerator::randomInt4()
-    {
-        return (rand() % 4);
-    }
-}
Index: code/branches/PresentationFS18/src/modules/hover/MazeGenerator.h
===================================================================
--- code/branches/PresentationFS18/src/modules/hover/MazeGenerator.h	(revision 12018)
+++ 	(revision )
@@ -1,86 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Master of Desaster:
- *      Manuel Meier
- *   Co-authors:
- *      Cyrill Burgener
- *
- */
-
-/**
-    @file MazeGenerator.h
-    @ingroup Hover
-*/
-
-#ifndef _MazeGenerator_H__
-#define _MazeGenerator_H__
-
-#include "HoverPrereqs.h"
-
-namespace orxonox
-{
-    enum eDirection
-    {
-        eDirection_Invalid = 0,
-        eDirection_Up      = 1,
-        eDirection_Right   = 2,
-        eDirection_Down    = 4,
-        eDirection_Left    = 8
-    }; 
-
-    class _HoverExport MazeGenerator
-    {
-        public:
-            MazeGenerator(int numCells);
-            ~MazeGenerator();
-
-            void generateMaze();
-            void renderMaze();
-            void mazeOut();
-            void levelOut();
-
-            int* getLevelcode() const
-                { return this->levelcode_; }
-
-        private:
-            bool isDirValid( eDirection Dir );
-            eDirection getDirection();
-
-            int cellIdx();
-            int randomInt();
-            int randomInt4();
-
-            int numCells_;
-            int* levelcode_;
-            unsigned char* maze_;
-
-            // current traversing position
-            int ptX_;
-            int ptY_;
-
-            int headingX_[9];
-            int headingY_[9];
-            int mask_[9];
-    };
-}
-
-#endif /* _MazeGenerator_H__ */